import { IResponse, AccelbyteSDK, ApiArgs } from '@accelbyte/sdk';
import { AxiosInstance } from 'axios';
import { z } from 'zod';

declare const ActiveCustomGameResponse: z.ZodObject<{
    pagination: z.ZodObject<{
        next: z.ZodString;
        previous: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        next: string;
        previous: string;
    }, {
        next: string;
        previous: string;
    }>;
    sessions: z.ZodArray<z.ZodObject<{
        all_players: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
        created_at: z.ZodString;
        game_session_setting: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            allow_join_in_progress: z.ZodBoolean;
            current_internal_player: z.ZodNumber;
            current_player: z.ZodNumber;
            map_name: z.ZodString;
            max_internal_player: z.ZodNumber;
            max_player: z.ZodNumber;
            mode: z.ZodString;
            num_bot: z.ZodNumber;
            password: z.ZodString;
            settings: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>>;
        }, "strip", z.ZodTypeAny, {
            settings?: Record<string, any> | null | undefined;
            allow_join_in_progress: boolean;
            current_internal_player: number;
            current_player: number;
            map_name: string;
            max_internal_player: number;
            max_player: number;
            mode: string;
            num_bot: number;
            password: string;
        }, {
            settings?: Record<string, any> | null | undefined;
            allow_join_in_progress: boolean;
            current_internal_player: number;
            current_player: number;
            map_name: string;
            max_internal_player: number;
            max_player: number;
            mode: string;
            num_bot: number;
            password: string;
        }>>>;
        joinable: z.ZodBoolean;
        namespace: z.ZodString;
        players: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
        server: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            allocation_id: z.ZodString;
            alternate_ips: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
            cpu_limit: z.ZodNumber;
            cpu_request: z.ZodString;
            deployment: z.ZodString;
            game_version: z.ZodString;
            image_version: z.ZodString;
            ip: z.ZodString;
            is_override_game_version: z.ZodBoolean;
            last_update: z.ZodString;
            mem_limit: z.ZodNumber;
            mem_request: z.ZodString;
            namespace: z.ZodString;
            params: z.ZodString;
            pod_name: z.ZodString;
            port: z.ZodNumber;
            ports: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodNumber>>>;
            provider: z.ZodString;
            region: z.ZodString;
            session_id: z.ZodString;
            status: z.ZodString;
            status_history: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                status: z.ZodString;
                time_stamp: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                status: string;
                time_stamp: string;
            }, {
                status: string;
                time_stamp: string;
            }>, "many">>>;
        }, "strip", z.ZodTypeAny, {
            alternate_ips?: string[] | null | undefined;
            ports?: Record<string, number> | null | undefined;
            status_history?: {
                status: string;
                time_stamp: string;
            }[] | null | undefined;
            params: string;
            status: string;
            allocation_id: string;
            cpu_limit: number;
            cpu_request: string;
            deployment: string;
            game_version: string;
            image_version: string;
            ip: string;
            is_override_game_version: boolean;
            last_update: string;
            mem_limit: number;
            mem_request: string;
            namespace: string;
            pod_name: string;
            port: number;
            provider: string;
            region: string;
            session_id: string;
        }, {
            alternate_ips?: string[] | null | undefined;
            ports?: Record<string, number> | null | undefined;
            status_history?: {
                status: string;
                time_stamp: string;
            }[] | null | undefined;
            params: string;
            status: string;
            allocation_id: string;
            cpu_limit: number;
            cpu_request: string;
            deployment: string;
            game_version: string;
            image_version: string;
            ip: string;
            is_override_game_version: boolean;
            last_update: string;
            mem_limit: number;
            mem_request: string;
            namespace: string;
            pod_name: string;
            port: number;
            provider: string;
            region: string;
            session_id: string;
        }>>>;
        session_id: z.ZodString;
        session_type: z.ZodString;
        spectators: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
    }, "strip", z.ZodTypeAny, {
        all_players?: string[] | null | undefined;
        game_session_setting?: {
            settings?: Record<string, any> | null | undefined;
            allow_join_in_progress: boolean;
            current_internal_player: number;
            current_player: number;
            map_name: string;
            max_internal_player: number;
            max_player: number;
            mode: string;
            num_bot: number;
            password: string;
        } | null | undefined;
        players?: string[] | null | undefined;
        server?: {
            alternate_ips?: string[] | null | undefined;
            ports?: Record<string, number> | null | undefined;
            status_history?: {
                status: string;
                time_stamp: string;
            }[] | null | undefined;
            params: string;
            status: string;
            allocation_id: string;
            cpu_limit: number;
            cpu_request: string;
            deployment: string;
            game_version: string;
            image_version: string;
            ip: string;
            is_override_game_version: boolean;
            last_update: string;
            mem_limit: number;
            mem_request: string;
            namespace: string;
            pod_name: string;
            port: number;
            provider: string;
            region: string;
            session_id: string;
        } | null | undefined;
        spectators?: string[] | null | undefined;
        namespace: string;
        session_id: string;
        created_at: string;
        joinable: boolean;
        session_type: string;
    }, {
        all_players?: string[] | null | undefined;
        game_session_setting?: {
            settings?: Record<string, any> | null | undefined;
            allow_join_in_progress: boolean;
            current_internal_player: number;
            current_player: number;
            map_name: string;
            max_internal_player: number;
            max_player: number;
            mode: string;
            num_bot: number;
            password: string;
        } | null | undefined;
        players?: string[] | null | undefined;
        server?: {
            alternate_ips?: string[] | null | undefined;
            ports?: Record<string, number> | null | undefined;
            status_history?: {
                status: string;
                time_stamp: string;
            }[] | null | undefined;
            params: string;
            status: string;
            allocation_id: string;
            cpu_limit: number;
            cpu_request: string;
            deployment: string;
            game_version: string;
            image_version: string;
            ip: string;
            is_override_game_version: boolean;
            last_update: string;
            mem_limit: number;
            mem_request: string;
            namespace: string;
            pod_name: string;
            port: number;
            provider: string;
            region: string;
            session_id: string;
        } | null | undefined;
        spectators?: string[] | null | undefined;
        namespace: string;
        session_id: string;
        created_at: string;
        joinable: boolean;
        session_type: string;
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    pagination: {
        next: string;
        previous: string;
    };
    sessions: {
        all_players?: string[] | null | undefined;
        game_session_setting?: {
            settings?: Record<string, any> | null | undefined;
            allow_join_in_progress: boolean;
            current_internal_player: number;
            current_player: number;
            map_name: string;
            max_internal_player: number;
            max_player: number;
            mode: string;
            num_bot: number;
            password: string;
        } | null | undefined;
        players?: string[] | null | undefined;
        server?: {
            alternate_ips?: string[] | null | undefined;
            ports?: Record<string, number> | null | undefined;
            status_history?: {
                status: string;
                time_stamp: string;
            }[] | null | undefined;
            params: string;
            status: string;
            allocation_id: string;
            cpu_limit: number;
            cpu_request: string;
            deployment: string;
            game_version: string;
            image_version: string;
            ip: string;
            is_override_game_version: boolean;
            last_update: string;
            mem_limit: number;
            mem_request: string;
            namespace: string;
            pod_name: string;
            port: number;
            provider: string;
            region: string;
            session_id: string;
        } | null | undefined;
        spectators?: string[] | null | undefined;
        namespace: string;
        session_id: string;
        created_at: string;
        joinable: boolean;
        session_type: string;
    }[];
}, {
    pagination: {
        next: string;
        previous: string;
    };
    sessions: {
        all_players?: string[] | null | undefined;
        game_session_setting?: {
            settings?: Record<string, any> | null | undefined;
            allow_join_in_progress: boolean;
            current_internal_player: number;
            current_player: number;
            map_name: string;
            max_internal_player: number;
            max_player: number;
            mode: string;
            num_bot: number;
            password: string;
        } | null | undefined;
        players?: string[] | null | undefined;
        server?: {
            alternate_ips?: string[] | null | undefined;
            ports?: Record<string, number> | null | undefined;
            status_history?: {
                status: string;
                time_stamp: string;
            }[] | null | undefined;
            params: string;
            status: string;
            allocation_id: string;
            cpu_limit: number;
            cpu_request: string;
            deployment: string;
            game_version: string;
            image_version: string;
            ip: string;
            is_override_game_version: boolean;
            last_update: string;
            mem_limit: number;
            mem_request: string;
            namespace: string;
            pod_name: string;
            port: number;
            provider: string;
            region: string;
            session_id: string;
        } | null | undefined;
        spectators?: string[] | null | undefined;
        namespace: string;
        session_id: string;
        created_at: string;
        joinable: boolean;
        session_type: string;
    }[];
}>;
interface ActiveCustomGameResponse extends z.TypeOf<typeof ActiveCustomGameResponse> {
}

declare const ActiveMatchmakingGameResponse: z.ZodObject<{
    pagination: z.ZodObject<{
        next: z.ZodString;
        previous: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        next: string;
        previous: string;
    }, {
        next: string;
        previous: string;
    }>;
    sessions: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
        all_players: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
        created_at: z.ZodString;
        game_session_setting: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            allow_join_in_progress: z.ZodBoolean;
            current_internal_player: z.ZodNumber;
            current_player: z.ZodNumber;
            map_name: z.ZodString;
            max_internal_player: z.ZodNumber;
            max_player: z.ZodNumber;
            mode: z.ZodString;
            num_bot: z.ZodNumber;
            password: z.ZodString;
            settings: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>>;
        }, "strip", z.ZodTypeAny, {
            settings?: Record<string, any> | null | undefined;
            allow_join_in_progress: boolean;
            current_internal_player: number;
            current_player: number;
            map_name: string;
            max_internal_player: number;
            max_player: number;
            mode: string;
            num_bot: number;
            password: string;
        }, {
            settings?: Record<string, any> | null | undefined;
            allow_join_in_progress: boolean;
            current_internal_player: number;
            current_player: number;
            map_name: string;
            max_internal_player: number;
            max_player: number;
            mode: string;
            num_bot: number;
            password: string;
        }>>>;
        game_version: z.ZodString;
        joinable: z.ZodBoolean;
        match: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            channel: z.ZodString;
            client_version: z.ZodString;
            created_at: z.ZodString;
            deployment: z.ZodString;
            event: z.ZodString;
            game_mode: z.ZodString;
            joinable: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            match_id: z.ZodString;
            matching_allies: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                matching_parties: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                    match_attributes: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                        first_ticket_created_at: z.ZodNumber;
                    }, "strip", z.ZodTypeAny, {
                        first_ticket_created_at: number;
                    }, {
                        first_ticket_created_at: number;
                    }>>>;
                    party_attributes: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>>;
                    party_id: z.ZodString;
                    party_members: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                        extra_attributes: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>>;
                        user_id: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        extra_attributes?: Record<string, any> | null | undefined;
                        user_id: string;
                    }, {
                        extra_attributes?: Record<string, any> | null | undefined;
                        user_id: string;
                    }>, "many">>>;
                }, "strip", z.ZodTypeAny, {
                    match_attributes?: {
                        first_ticket_created_at: number;
                    } | null | undefined;
                    party_attributes?: Record<string, any> | null | undefined;
                    party_members?: {
                        extra_attributes?: Record<string, any> | null | undefined;
                        user_id: string;
                    }[] | null | undefined;
                    party_id: string;
                }, {
                    match_attributes?: {
                        first_ticket_created_at: number;
                    } | null | undefined;
                    party_attributes?: Record<string, any> | null | undefined;
                    party_members?: {
                        extra_attributes?: Record<string, any> | null | undefined;
                        user_id: string;
                    }[] | null | undefined;
                    party_id: string;
                }>, "many">>>;
            }, "strip", z.ZodTypeAny, {
                matching_parties?: {
                    match_attributes?: {
                        first_ticket_created_at: number;
                    } | null | undefined;
                    party_attributes?: Record<string, any> | null | undefined;
                    party_members?: {
                        extra_attributes?: Record<string, any> | null | undefined;
                        user_id: string;
                    }[] | null | undefined;
                    party_id: string;
                }[] | null | undefined;
            }, {
                matching_parties?: {
                    match_attributes?: {
                        first_ticket_created_at: number;
                    } | null | undefined;
                    party_attributes?: Record<string, any> | null | undefined;
                    party_members?: {
                        extra_attributes?: Record<string, any> | null | undefined;
                        user_id: string;
                    }[] | null | undefined;
                    party_id: string;
                }[] | null | undefined;
            }>, "many">>>;
            namespace: z.ZodString;
            party_attributes: z.ZodRecord<z.ZodString, z.ZodAny>;
            party_id: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            queued_at: z.ZodNumber;
            region: z.ZodString;
            server_name: z.ZodString;
            status: z.ZodString;
            sub_game_mode: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
        }, "strip", z.ZodTypeAny, {
            joinable?: boolean | null | undefined;
            party_id?: string | null | undefined;
            matching_allies?: {
                matching_parties?: {
                    match_attributes?: {
                        first_ticket_created_at: number;
                    } | null | undefined;
                    party_attributes?: Record<string, any> | null | undefined;
                    party_members?: {
                        extra_attributes?: Record<string, any> | null | undefined;
                        user_id: string;
                    }[] | null | undefined;
                    party_id: string;
                }[] | null | undefined;
            }[] | null | undefined;
            sub_game_mode?: string[] | null | undefined;
            status: string;
            deployment: string;
            namespace: string;
            region: string;
            created_at: string;
            party_attributes: Record<string, any>;
            channel: string;
            client_version: string;
            event: string;
            game_mode: string;
            match_id: string;
            queued_at: number;
            server_name: string;
        }, {
            joinable?: boolean | null | undefined;
            party_id?: string | null | undefined;
            matching_allies?: {
                matching_parties?: {
                    match_attributes?: {
                        first_ticket_created_at: number;
                    } | null | undefined;
                    party_attributes?: Record<string, any> | null | undefined;
                    party_members?: {
                        extra_attributes?: Record<string, any> | null | undefined;
                        user_id: string;
                    }[] | null | undefined;
                    party_id: string;
                }[] | null | undefined;
            }[] | null | undefined;
            sub_game_mode?: string[] | null | undefined;
            status: string;
            deployment: string;
            namespace: string;
            region: string;
            created_at: string;
            party_attributes: Record<string, any>;
            channel: string;
            client_version: string;
            event: string;
            game_mode: string;
            match_id: string;
            queued_at: number;
            server_name: string;
        }>>>;
        namespace: z.ZodString;
        players: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
        server: z.ZodObject<{
            allocation_id: z.ZodString;
            alternate_ips: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
            cpu_limit: z.ZodNumber;
            cpu_request: z.ZodString;
            deployment: z.ZodString;
            game_version: z.ZodString;
            image_version: z.ZodString;
            ip: z.ZodString;
            is_override_game_version: z.ZodBoolean;
            last_update: z.ZodString;
            mem_limit: z.ZodNumber;
            mem_request: z.ZodString;
            namespace: z.ZodString;
            params: z.ZodString;
            pod_name: z.ZodString;
            port: z.ZodNumber;
            ports: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodNumber>>>;
            provider: z.ZodString;
            region: z.ZodString;
            session_id: z.ZodString;
            status: z.ZodString;
            status_history: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                status: z.ZodString;
                time_stamp: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                status: string;
                time_stamp: string;
            }, {
                status: string;
                time_stamp: string;
            }>, "many">>>;
        }, "strip", z.ZodTypeAny, {
            alternate_ips?: string[] | null | undefined;
            ports?: Record<string, number> | null | undefined;
            status_history?: {
                status: string;
                time_stamp: string;
            }[] | null | undefined;
            params: string;
            status: string;
            allocation_id: string;
            cpu_limit: number;
            cpu_request: string;
            deployment: string;
            game_version: string;
            image_version: string;
            ip: string;
            is_override_game_version: boolean;
            last_update: string;
            mem_limit: number;
            mem_request: string;
            namespace: string;
            pod_name: string;
            port: number;
            provider: string;
            region: string;
            session_id: string;
        }, {
            alternate_ips?: string[] | null | undefined;
            ports?: Record<string, number> | null | undefined;
            status_history?: {
                status: string;
                time_stamp: string;
            }[] | null | undefined;
            params: string;
            status: string;
            allocation_id: string;
            cpu_limit: number;
            cpu_request: string;
            deployment: string;
            game_version: string;
            image_version: string;
            ip: string;
            is_override_game_version: boolean;
            last_update: string;
            mem_limit: number;
            mem_request: string;
            namespace: string;
            pod_name: string;
            port: number;
            provider: string;
            region: string;
            session_id: string;
        }>;
        session_id: z.ZodString;
        session_type: z.ZodString;
        spectators: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
        user_id: z.ZodString;
        username: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        all_players?: string[] | null | undefined;
        game_session_setting?: {
            settings?: Record<string, any> | null | undefined;
            allow_join_in_progress: boolean;
            current_internal_player: number;
            current_player: number;
            map_name: string;
            max_internal_player: number;
            max_player: number;
            mode: string;
            num_bot: number;
            password: string;
        } | null | undefined;
        players?: string[] | null | undefined;
        spectators?: string[] | null | undefined;
        match?: {
            joinable?: boolean | null | undefined;
            party_id?: string | null | undefined;
            matching_allies?: {
                matching_parties?: {
                    match_attributes?: {
                        first_ticket_created_at: number;
                    } | null | undefined;
                    party_attributes?: Record<string, any> | null | undefined;
                    party_members?: {
                        extra_attributes?: Record<string, any> | null | undefined;
                        user_id: string;
                    }[] | null | undefined;
                    party_id: string;
                }[] | null | undefined;
            }[] | null | undefined;
            sub_game_mode?: string[] | null | undefined;
            status: string;
            deployment: string;
            namespace: string;
            region: string;
            created_at: string;
            party_attributes: Record<string, any>;
            channel: string;
            client_version: string;
            event: string;
            game_mode: string;
            match_id: string;
            queued_at: number;
            server_name: string;
        } | null | undefined;
        game_version: string;
        namespace: string;
        session_id: string;
        created_at: string;
        joinable: boolean;
        server: {
            alternate_ips?: string[] | null | undefined;
            ports?: Record<string, number> | null | undefined;
            status_history?: {
                status: string;
                time_stamp: string;
            }[] | null | undefined;
            params: string;
            status: string;
            allocation_id: string;
            cpu_limit: number;
            cpu_request: string;
            deployment: string;
            game_version: string;
            image_version: string;
            ip: string;
            is_override_game_version: boolean;
            last_update: string;
            mem_limit: number;
            mem_request: string;
            namespace: string;
            pod_name: string;
            port: number;
            provider: string;
            region: string;
            session_id: string;
        };
        session_type: string;
        user_id: string;
        username: string;
    }, {
        all_players?: string[] | null | undefined;
        game_session_setting?: {
            settings?: Record<string, any> | null | undefined;
            allow_join_in_progress: boolean;
            current_internal_player: number;
            current_player: number;
            map_name: string;
            max_internal_player: number;
            max_player: number;
            mode: string;
            num_bot: number;
            password: string;
        } | null | undefined;
        players?: string[] | null | undefined;
        spectators?: string[] | null | undefined;
        match?: {
            joinable?: boolean | null | undefined;
            party_id?: string | null | undefined;
            matching_allies?: {
                matching_parties?: {
                    match_attributes?: {
                        first_ticket_created_at: number;
                    } | null | undefined;
                    party_attributes?: Record<string, any> | null | undefined;
                    party_members?: {
                        extra_attributes?: Record<string, any> | null | undefined;
                        user_id: string;
                    }[] | null | undefined;
                    party_id: string;
                }[] | null | undefined;
            }[] | null | undefined;
            sub_game_mode?: string[] | null | undefined;
            status: string;
            deployment: string;
            namespace: string;
            region: string;
            created_at: string;
            party_attributes: Record<string, any>;
            channel: string;
            client_version: string;
            event: string;
            game_mode: string;
            match_id: string;
            queued_at: number;
            server_name: string;
        } | null | undefined;
        game_version: string;
        namespace: string;
        session_id: string;
        created_at: string;
        joinable: boolean;
        server: {
            alternate_ips?: string[] | null | undefined;
            ports?: Record<string, number> | null | undefined;
            status_history?: {
                status: string;
                time_stamp: string;
            }[] | null | undefined;
            params: string;
            status: string;
            allocation_id: string;
            cpu_limit: number;
            cpu_request: string;
            deployment: string;
            game_version: string;
            image_version: string;
            ip: string;
            is_override_game_version: boolean;
            last_update: string;
            mem_limit: number;
            mem_request: string;
            namespace: string;
            pod_name: string;
            port: number;
            provider: string;
            region: string;
            session_id: string;
        };
        session_type: string;
        user_id: string;
        username: string;
    }>, "many">>>;
}, "strip", z.ZodTypeAny, {
    sessions?: {
        all_players?: string[] | null | undefined;
        game_session_setting?: {
            settings?: Record<string, any> | null | undefined;
            allow_join_in_progress: boolean;
            current_internal_player: number;
            current_player: number;
            map_name: string;
            max_internal_player: number;
            max_player: number;
            mode: string;
            num_bot: number;
            password: string;
        } | null | undefined;
        players?: string[] | null | undefined;
        spectators?: string[] | null | undefined;
        match?: {
            joinable?: boolean | null | undefined;
            party_id?: string | null | undefined;
            matching_allies?: {
                matching_parties?: {
                    match_attributes?: {
                        first_ticket_created_at: number;
                    } | null | undefined;
                    party_attributes?: Record<string, any> | null | undefined;
                    party_members?: {
                        extra_attributes?: Record<string, any> | null | undefined;
                        user_id: string;
                    }[] | null | undefined;
                    party_id: string;
                }[] | null | undefined;
            }[] | null | undefined;
            sub_game_mode?: string[] | null | undefined;
            status: string;
            deployment: string;
            namespace: string;
            region: string;
            created_at: string;
            party_attributes: Record<string, any>;
            channel: string;
            client_version: string;
            event: string;
            game_mode: string;
            match_id: string;
            queued_at: number;
            server_name: string;
        } | null | undefined;
        game_version: string;
        namespace: string;
        session_id: string;
        created_at: string;
        joinable: boolean;
        server: {
            alternate_ips?: string[] | null | undefined;
            ports?: Record<string, number> | null | undefined;
            status_history?: {
                status: string;
                time_stamp: string;
            }[] | null | undefined;
            params: string;
            status: string;
            allocation_id: string;
            cpu_limit: number;
            cpu_request: string;
            deployment: string;
            game_version: string;
            image_version: string;
            ip: string;
            is_override_game_version: boolean;
            last_update: string;
            mem_limit: number;
            mem_request: string;
            namespace: string;
            pod_name: string;
            port: number;
            provider: string;
            region: string;
            session_id: string;
        };
        session_type: string;
        user_id: string;
        username: string;
    }[] | null | undefined;
    pagination: {
        next: string;
        previous: string;
    };
}, {
    sessions?: {
        all_players?: string[] | null | undefined;
        game_session_setting?: {
            settings?: Record<string, any> | null | undefined;
            allow_join_in_progress: boolean;
            current_internal_player: number;
            current_player: number;
            map_name: string;
            max_internal_player: number;
            max_player: number;
            mode: string;
            num_bot: number;
            password: string;
        } | null | undefined;
        players?: string[] | null | undefined;
        spectators?: string[] | null | undefined;
        match?: {
            joinable?: boolean | null | undefined;
            party_id?: string | null | undefined;
            matching_allies?: {
                matching_parties?: {
                    match_attributes?: {
                        first_ticket_created_at: number;
                    } | null | undefined;
                    party_attributes?: Record<string, any> | null | undefined;
                    party_members?: {
                        extra_attributes?: Record<string, any> | null | undefined;
                        user_id: string;
                    }[] | null | undefined;
                    party_id: string;
                }[] | null | undefined;
            }[] | null | undefined;
            sub_game_mode?: string[] | null | undefined;
            status: string;
            deployment: string;
            namespace: string;
            region: string;
            created_at: string;
            party_attributes: Record<string, any>;
            channel: string;
            client_version: string;
            event: string;
            game_mode: string;
            match_id: string;
            queued_at: number;
            server_name: string;
        } | null | undefined;
        game_version: string;
        namespace: string;
        session_id: string;
        created_at: string;
        joinable: boolean;
        server: {
            alternate_ips?: string[] | null | undefined;
            ports?: Record<string, number> | null | undefined;
            status_history?: {
                status: string;
                time_stamp: string;
            }[] | null | undefined;
            params: string;
            status: string;
            allocation_id: string;
            cpu_limit: number;
            cpu_request: string;
            deployment: string;
            game_version: string;
            image_version: string;
            ip: string;
            is_override_game_version: boolean;
            last_update: string;
            mem_limit: number;
            mem_request: string;
            namespace: string;
            pod_name: string;
            port: number;
            provider: string;
            region: string;
            session_id: string;
        };
        session_type: string;
        user_id: string;
        username: string;
    }[] | null | undefined;
    pagination: {
        next: string;
        previous: string;
    };
}>;
interface ActiveMatchmakingGameResponse extends z.TypeOf<typeof ActiveMatchmakingGameResponse> {
}

declare const AdminSessionResponse: z.ZodObject<{
    all_players: z.ZodArray<z.ZodString, "many">;
    created_at: z.ZodString;
    game_session_setting: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        allow_join_in_progress: z.ZodBoolean;
        current_internal_player: z.ZodNumber;
        current_player: z.ZodNumber;
        map_name: z.ZodString;
        max_internal_player: z.ZodNumber;
        max_player: z.ZodNumber;
        mode: z.ZodString;
        num_bot: z.ZodNumber;
        password: z.ZodString;
        settings: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>>;
    }, "strip", z.ZodTypeAny, {
        settings?: Record<string, any> | null | undefined;
        allow_join_in_progress: boolean;
        current_internal_player: number;
        current_player: number;
        map_name: string;
        max_internal_player: number;
        max_player: number;
        mode: string;
        num_bot: number;
        password: string;
    }, {
        settings?: Record<string, any> | null | undefined;
        allow_join_in_progress: boolean;
        current_internal_player: number;
        current_player: number;
        map_name: string;
        max_internal_player: number;
        max_player: number;
        mode: string;
        num_bot: number;
        password: string;
    }>>>;
    game_version: z.ZodString;
    joinable: z.ZodBoolean;
    match: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        channel: z.ZodString;
        client_version: z.ZodString;
        created_at: z.ZodString;
        deployment: z.ZodString;
        event: z.ZodString;
        game_mode: z.ZodString;
        joinable: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        match_id: z.ZodString;
        matching_allies: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
            matching_parties: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                match_attributes: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    first_ticket_created_at: z.ZodNumber;
                }, "strip", z.ZodTypeAny, {
                    first_ticket_created_at: number;
                }, {
                    first_ticket_created_at: number;
                }>>>;
                party_attributes: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>>;
                party_id: z.ZodString;
                party_members: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                    extra_attributes: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>>;
                    user_id: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    extra_attributes?: Record<string, any> | null | undefined;
                    user_id: string;
                }, {
                    extra_attributes?: Record<string, any> | null | undefined;
                    user_id: string;
                }>, "many">>>;
            }, "strip", z.ZodTypeAny, {
                match_attributes?: {
                    first_ticket_created_at: number;
                } | null | undefined;
                party_attributes?: Record<string, any> | null | undefined;
                party_members?: {
                    extra_attributes?: Record<string, any> | null | undefined;
                    user_id: string;
                }[] | null | undefined;
                party_id: string;
            }, {
                match_attributes?: {
                    first_ticket_created_at: number;
                } | null | undefined;
                party_attributes?: Record<string, any> | null | undefined;
                party_members?: {
                    extra_attributes?: Record<string, any> | null | undefined;
                    user_id: string;
                }[] | null | undefined;
                party_id: string;
            }>, "many">>>;
        }, "strip", z.ZodTypeAny, {
            matching_parties?: {
                match_attributes?: {
                    first_ticket_created_at: number;
                } | null | undefined;
                party_attributes?: Record<string, any> | null | undefined;
                party_members?: {
                    extra_attributes?: Record<string, any> | null | undefined;
                    user_id: string;
                }[] | null | undefined;
                party_id: string;
            }[] | null | undefined;
        }, {
            matching_parties?: {
                match_attributes?: {
                    first_ticket_created_at: number;
                } | null | undefined;
                party_attributes?: Record<string, any> | null | undefined;
                party_members?: {
                    extra_attributes?: Record<string, any> | null | undefined;
                    user_id: string;
                }[] | null | undefined;
                party_id: string;
            }[] | null | undefined;
        }>, "many">>>;
        namespace: z.ZodString;
        party_attributes: z.ZodRecord<z.ZodString, z.ZodAny>;
        party_id: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        queued_at: z.ZodNumber;
        region: z.ZodString;
        server_name: z.ZodString;
        status: z.ZodString;
        sub_game_mode: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
    }, "strip", z.ZodTypeAny, {
        joinable?: boolean | null | undefined;
        party_id?: string | null | undefined;
        matching_allies?: {
            matching_parties?: {
                match_attributes?: {
                    first_ticket_created_at: number;
                } | null | undefined;
                party_attributes?: Record<string, any> | null | undefined;
                party_members?: {
                    extra_attributes?: Record<string, any> | null | undefined;
                    user_id: string;
                }[] | null | undefined;
                party_id: string;
            }[] | null | undefined;
        }[] | null | undefined;
        sub_game_mode?: string[] | null | undefined;
        status: string;
        deployment: string;
        namespace: string;
        region: string;
        created_at: string;
        party_attributes: Record<string, any>;
        channel: string;
        client_version: string;
        event: string;
        game_mode: string;
        match_id: string;
        queued_at: number;
        server_name: string;
    }, {
        joinable?: boolean | null | undefined;
        party_id?: string | null | undefined;
        matching_allies?: {
            matching_parties?: {
                match_attributes?: {
                    first_ticket_created_at: number;
                } | null | undefined;
                party_attributes?: Record<string, any> | null | undefined;
                party_members?: {
                    extra_attributes?: Record<string, any> | null | undefined;
                    user_id: string;
                }[] | null | undefined;
                party_id: string;
            }[] | null | undefined;
        }[] | null | undefined;
        sub_game_mode?: string[] | null | undefined;
        status: string;
        deployment: string;
        namespace: string;
        region: string;
        created_at: string;
        party_attributes: Record<string, any>;
        channel: string;
        client_version: string;
        event: string;
        game_mode: string;
        match_id: string;
        queued_at: number;
        server_name: string;
    }>>>;
    namespace: z.ZodString;
    players: z.ZodArray<z.ZodString, "many">;
    server: z.ZodObject<{
        allocation_id: z.ZodString;
        alternate_ips: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
        cpu_limit: z.ZodNumber;
        cpu_request: z.ZodString;
        deployment: z.ZodString;
        game_version: z.ZodString;
        image_version: z.ZodString;
        ip: z.ZodString;
        is_override_game_version: z.ZodBoolean;
        last_update: z.ZodString;
        mem_limit: z.ZodNumber;
        mem_request: z.ZodString;
        namespace: z.ZodString;
        params: z.ZodString;
        pod_name: z.ZodString;
        port: z.ZodNumber;
        ports: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodNumber>>>;
        provider: z.ZodString;
        region: z.ZodString;
        session_id: z.ZodString;
        status: z.ZodString;
        status_history: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
            status: z.ZodString;
            time_stamp: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            status: string;
            time_stamp: string;
        }, {
            status: string;
            time_stamp: string;
        }>, "many">>>;
    }, "strip", z.ZodTypeAny, {
        alternate_ips?: string[] | null | undefined;
        ports?: Record<string, number> | null | undefined;
        status_history?: {
            status: string;
            time_stamp: string;
        }[] | null | undefined;
        params: string;
        status: string;
        allocation_id: string;
        cpu_limit: number;
        cpu_request: string;
        deployment: string;
        game_version: string;
        image_version: string;
        ip: string;
        is_override_game_version: boolean;
        last_update: string;
        mem_limit: number;
        mem_request: string;
        namespace: string;
        pod_name: string;
        port: number;
        provider: string;
        region: string;
        session_id: string;
    }, {
        alternate_ips?: string[] | null | undefined;
        ports?: Record<string, number> | null | undefined;
        status_history?: {
            status: string;
            time_stamp: string;
        }[] | null | undefined;
        params: string;
        status: string;
        allocation_id: string;
        cpu_limit: number;
        cpu_request: string;
        deployment: string;
        game_version: string;
        image_version: string;
        ip: string;
        is_override_game_version: boolean;
        last_update: string;
        mem_limit: number;
        mem_request: string;
        namespace: string;
        pod_name: string;
        port: number;
        provider: string;
        region: string;
        session_id: string;
    }>;
    session_id: z.ZodString;
    session_type: z.ZodString;
    spectators: z.ZodArray<z.ZodString, "many">;
    user_id: z.ZodString;
    username: z.ZodString;
}, "strip", z.ZodTypeAny, {
    game_session_setting?: {
        settings?: Record<string, any> | null | undefined;
        allow_join_in_progress: boolean;
        current_internal_player: number;
        current_player: number;
        map_name: string;
        max_internal_player: number;
        max_player: number;
        mode: string;
        num_bot: number;
        password: string;
    } | null | undefined;
    match?: {
        joinable?: boolean | null | undefined;
        party_id?: string | null | undefined;
        matching_allies?: {
            matching_parties?: {
                match_attributes?: {
                    first_ticket_created_at: number;
                } | null | undefined;
                party_attributes?: Record<string, any> | null | undefined;
                party_members?: {
                    extra_attributes?: Record<string, any> | null | undefined;
                    user_id: string;
                }[] | null | undefined;
                party_id: string;
            }[] | null | undefined;
        }[] | null | undefined;
        sub_game_mode?: string[] | null | undefined;
        status: string;
        deployment: string;
        namespace: string;
        region: string;
        created_at: string;
        party_attributes: Record<string, any>;
        channel: string;
        client_version: string;
        event: string;
        game_mode: string;
        match_id: string;
        queued_at: number;
        server_name: string;
    } | null | undefined;
    game_version: string;
    namespace: string;
    session_id: string;
    all_players: string[];
    created_at: string;
    joinable: boolean;
    players: string[];
    server: {
        alternate_ips?: string[] | null | undefined;
        ports?: Record<string, number> | null | undefined;
        status_history?: {
            status: string;
            time_stamp: string;
        }[] | null | undefined;
        params: string;
        status: string;
        allocation_id: string;
        cpu_limit: number;
        cpu_request: string;
        deployment: string;
        game_version: string;
        image_version: string;
        ip: string;
        is_override_game_version: boolean;
        last_update: string;
        mem_limit: number;
        mem_request: string;
        namespace: string;
        pod_name: string;
        port: number;
        provider: string;
        region: string;
        session_id: string;
    };
    session_type: string;
    spectators: string[];
    user_id: string;
    username: string;
}, {
    game_session_setting?: {
        settings?: Record<string, any> | null | undefined;
        allow_join_in_progress: boolean;
        current_internal_player: number;
        current_player: number;
        map_name: string;
        max_internal_player: number;
        max_player: number;
        mode: string;
        num_bot: number;
        password: string;
    } | null | undefined;
    match?: {
        joinable?: boolean | null | undefined;
        party_id?: string | null | undefined;
        matching_allies?: {
            matching_parties?: {
                match_attributes?: {
                    first_ticket_created_at: number;
                } | null | undefined;
                party_attributes?: Record<string, any> | null | undefined;
                party_members?: {
                    extra_attributes?: Record<string, any> | null | undefined;
                    user_id: string;
                }[] | null | undefined;
                party_id: string;
            }[] | null | undefined;
        }[] | null | undefined;
        sub_game_mode?: string[] | null | undefined;
        status: string;
        deployment: string;
        namespace: string;
        region: string;
        created_at: string;
        party_attributes: Record<string, any>;
        channel: string;
        client_version: string;
        event: string;
        game_mode: string;
        match_id: string;
        queued_at: number;
        server_name: string;
    } | null | undefined;
    game_version: string;
    namespace: string;
    session_id: string;
    all_players: string[];
    created_at: string;
    joinable: boolean;
    players: string[];
    server: {
        alternate_ips?: string[] | null | undefined;
        ports?: Record<string, number> | null | undefined;
        status_history?: {
            status: string;
            time_stamp: string;
        }[] | null | undefined;
        params: string;
        status: string;
        allocation_id: string;
        cpu_limit: number;
        cpu_request: string;
        deployment: string;
        game_version: string;
        image_version: string;
        ip: string;
        is_override_game_version: boolean;
        last_update: string;
        mem_limit: number;
        mem_request: string;
        namespace: string;
        pod_name: string;
        port: number;
        provider: string;
        region: string;
        session_id: string;
    };
    session_type: string;
    spectators: string[];
    user_id: string;
    username: string;
}>;
interface AdminSessionResponse extends z.TypeOf<typeof AdminSessionResponse> {
}

declare const CountActiveSessionResponse: z.ZodObject<{
    custom_game: z.ZodNumber;
    matchmaking_game: z.ZodNumber;
    total: z.ZodNumber;
}, "strip", z.ZodTypeAny, {
    custom_game: number;
    matchmaking_game: number;
    total: number;
}, {
    custom_game: number;
    matchmaking_game: number;
    total: number;
}>;
interface CountActiveSessionResponse extends z.TypeOf<typeof CountActiveSessionResponse> {
}

declare const GetSessionHistoryDetailedResponseItemArray: z.ZodArray<z.ZodObject<{
    _id: z.ZodString;
    channel: z.ZodString;
    client_version: z.ZodString;
    created_at: z.ZodString;
    event_description: z.ZodString;
    event_name: z.ZodString;
    game_mode: z.ZodString;
    joinable: z.ZodBoolean;
    joining: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
        Date: z.ZodString;
        State: z.ZodString;
        UserID: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        Date: string;
        UserID: string;
        State: string;
    }, {
        Date: string;
        UserID: string;
        State: string;
    }>, "many">>>;
    match_id: z.ZodString;
    matching_allies: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
        matching_parties: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
            match_attributes: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                first_ticket_created_at: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                first_ticket_created_at: number;
            }, {
                first_ticket_created_at: number;
            }>>>;
            party_attributes: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>>;
            party_id: z.ZodString;
            party_members: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                extra_attributes: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>>;
                user_id: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                extra_attributes?: Record<string, any> | null | undefined;
                user_id: string;
            }, {
                extra_attributes?: Record<string, any> | null | undefined;
                user_id: string;
            }>, "many">>>;
        }, "strip", z.ZodTypeAny, {
            match_attributes?: {
                first_ticket_created_at: number;
            } | null | undefined;
            party_attributes?: Record<string, any> | null | undefined;
            party_members?: {
                extra_attributes?: Record<string, any> | null | undefined;
                user_id: string;
            }[] | null | undefined;
            party_id: string;
        }, {
            match_attributes?: {
                first_ticket_created_at: number;
            } | null | undefined;
            party_attributes?: Record<string, any> | null | undefined;
            party_members?: {
                extra_attributes?: Record<string, any> | null | undefined;
                user_id: string;
            }[] | null | undefined;
            party_id: string;
        }>, "many">>>;
    }, "strip", z.ZodTypeAny, {
        matching_parties?: {
            match_attributes?: {
                first_ticket_created_at: number;
            } | null | undefined;
            party_attributes?: Record<string, any> | null | undefined;
            party_members?: {
                extra_attributes?: Record<string, any> | null | undefined;
                user_id: string;
            }[] | null | undefined;
            party_id: string;
        }[] | null | undefined;
    }, {
        matching_parties?: {
            match_attributes?: {
                first_ticket_created_at: number;
            } | null | undefined;
            party_attributes?: Record<string, any> | null | undefined;
            party_members?: {
                extra_attributes?: Record<string, any> | null | undefined;
                user_id: string;
            }[] | null | undefined;
            party_id: string;
        }[] | null | undefined;
    }>, "many">>>;
    namespace: z.ZodString;
    party_id: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    players: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
        Action: z.ZodString;
        Date: z.ZodString;
        UserID: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        Action: string;
        Date: string;
        UserID: string;
    }, {
        Action: string;
        Date: string;
        UserID: string;
    }>, "many">>>;
    region: z.ZodString;
    removed_reason: z.ZodString;
    server_name: z.ZodString;
    session_type: z.ZodString;
    status: z.ZodString;
    user_id: z.ZodString;
}, "strip", z.ZodTypeAny, {
    players?: {
        Action: string;
        Date: string;
        UserID: string;
    }[] | null | undefined;
    party_id?: string | null | undefined;
    matching_allies?: {
        matching_parties?: {
            match_attributes?: {
                first_ticket_created_at: number;
            } | null | undefined;
            party_attributes?: Record<string, any> | null | undefined;
            party_members?: {
                extra_attributes?: Record<string, any> | null | undefined;
                user_id: string;
            }[] | null | undefined;
            party_id: string;
        }[] | null | undefined;
    }[] | null | undefined;
    joining?: {
        Date: string;
        UserID: string;
        State: string;
    }[] | null | undefined;
    status: string;
    namespace: string;
    region: string;
    created_at: string;
    joinable: boolean;
    session_type: string;
    user_id: string;
    channel: string;
    client_version: string;
    game_mode: string;
    match_id: string;
    server_name: string;
    _id: string;
    event_description: string;
    event_name: string;
    removed_reason: string;
}, {
    players?: {
        Action: string;
        Date: string;
        UserID: string;
    }[] | null | undefined;
    party_id?: string | null | undefined;
    matching_allies?: {
        matching_parties?: {
            match_attributes?: {
                first_ticket_created_at: number;
            } | null | undefined;
            party_attributes?: Record<string, any> | null | undefined;
            party_members?: {
                extra_attributes?: Record<string, any> | null | undefined;
                user_id: string;
            }[] | null | undefined;
            party_id: string;
        }[] | null | undefined;
    }[] | null | undefined;
    joining?: {
        Date: string;
        UserID: string;
        State: string;
    }[] | null | undefined;
    status: string;
    namespace: string;
    region: string;
    created_at: string;
    joinable: boolean;
    session_type: string;
    user_id: string;
    channel: string;
    client_version: string;
    game_mode: string;
    match_id: string;
    server_name: string;
    _id: string;
    event_description: string;
    event_name: string;
    removed_reason: string;
}>, "many">;
interface GetSessionHistoryDetailedResponseItemArray extends z.TypeOf<typeof GetSessionHistoryDetailedResponseItemArray> {
}

declare const GetSessionHistorySearchResponseV2: z.ZodObject<{
    data: z.ZodArray<z.ZodObject<{
        _id: z.ZodString;
        created_at: z.ZodString;
        game_mode: z.ZodString;
        joinable: z.ZodBoolean;
        joining: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
            Date: z.ZodString;
            State: z.ZodString;
            UserID: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            Date: string;
            UserID: string;
            State: string;
        }, {
            Date: string;
            UserID: string;
            State: string;
        }>, "many">>>;
        match_id: z.ZodString;
        namespace: z.ZodString;
        players: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
            Action: z.ZodString;
            Date: z.ZodString;
            UserID: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            Action: string;
            Date: string;
            UserID: string;
        }, {
            Action: string;
            Date: string;
            UserID: string;
        }>, "many">>>;
        removed_reason: z.ZodString;
        session_type: z.ZodString;
        status: z.ZodString;
        sub_game_mode: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
        user_id: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        players?: {
            Action: string;
            Date: string;
            UserID: string;
        }[] | null | undefined;
        sub_game_mode?: string[] | null | undefined;
        joining?: {
            Date: string;
            UserID: string;
            State: string;
        }[] | null | undefined;
        status: string;
        namespace: string;
        created_at: string;
        joinable: boolean;
        session_type: string;
        user_id: string;
        game_mode: string;
        match_id: string;
        _id: string;
        removed_reason: string;
    }, {
        players?: {
            Action: string;
            Date: string;
            UserID: string;
        }[] | null | undefined;
        sub_game_mode?: string[] | null | undefined;
        joining?: {
            Date: string;
            UserID: string;
            State: string;
        }[] | null | undefined;
        status: string;
        namespace: string;
        created_at: string;
        joinable: boolean;
        session_type: string;
        user_id: string;
        game_mode: string;
        match_id: string;
        _id: string;
        removed_reason: string;
    }>, "many">;
    pagination: z.ZodObject<{
        first: z.ZodString;
        last: z.ZodString;
        next: z.ZodString;
        previous: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        next: string;
        previous: string;
        first: string;
        last: string;
    }, {
        next: string;
        previous: string;
        first: string;
        last: string;
    }>;
}, "strip", z.ZodTypeAny, {
    pagination: {
        next: string;
        previous: string;
        first: string;
        last: string;
    };
    data: {
        players?: {
            Action: string;
            Date: string;
            UserID: string;
        }[] | null | undefined;
        sub_game_mode?: string[] | null | undefined;
        joining?: {
            Date: string;
            UserID: string;
            State: string;
        }[] | null | undefined;
        status: string;
        namespace: string;
        created_at: string;
        joinable: boolean;
        session_type: string;
        user_id: string;
        game_mode: string;
        match_id: string;
        _id: string;
        removed_reason: string;
    }[];
}, {
    pagination: {
        next: string;
        previous: string;
        first: string;
        last: string;
    };
    data: {
        players?: {
            Action: string;
            Date: string;
            UserID: string;
        }[] | null | undefined;
        sub_game_mode?: string[] | null | undefined;
        joining?: {
            Date: string;
            UserID: string;
            State: string;
        }[] | null | undefined;
        status: string;
        namespace: string;
        created_at: string;
        joinable: boolean;
        session_type: string;
        user_id: string;
        game_mode: string;
        match_id: string;
        _id: string;
        removed_reason: string;
    }[];
}>;
interface GetSessionHistorySearchResponseV2 extends z.TypeOf<typeof GetSessionHistorySearchResponseV2> {
}

declare const SessionQueryResponse: z.ZodObject<{
    pagination: z.ZodObject<{
        next: z.ZodString;
        previous: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        next: string;
        previous: string;
    }, {
        next: string;
        previous: string;
    }>;
    sessions: z.ZodArray<z.ZodObject<{
        all_players: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
        created_at: z.ZodString;
        game_session_setting: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            allow_join_in_progress: z.ZodBoolean;
            current_internal_player: z.ZodNumber;
            current_player: z.ZodNumber;
            map_name: z.ZodString;
            max_internal_player: z.ZodNumber;
            max_player: z.ZodNumber;
            mode: z.ZodString;
            num_bot: z.ZodNumber;
            password: z.ZodString;
            settings: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>>;
        }, "strip", z.ZodTypeAny, {
            settings?: Record<string, any> | null | undefined;
            allow_join_in_progress: boolean;
            current_internal_player: number;
            current_player: number;
            map_name: string;
            max_internal_player: number;
            max_player: number;
            mode: string;
            num_bot: number;
            password: string;
        }, {
            settings?: Record<string, any> | null | undefined;
            allow_join_in_progress: boolean;
            current_internal_player: number;
            current_player: number;
            map_name: string;
            max_internal_player: number;
            max_player: number;
            mode: string;
            num_bot: number;
            password: string;
        }>>>;
        game_version: z.ZodString;
        joinable: z.ZodBoolean;
        match: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            channel: z.ZodString;
            client_version: z.ZodString;
            created_at: z.ZodString;
            deployment: z.ZodString;
            event: z.ZodString;
            game_mode: z.ZodString;
            joinable: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            match_id: z.ZodString;
            matching_allies: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                matching_parties: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                    match_attributes: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                        first_ticket_created_at: z.ZodNumber;
                    }, "strip", z.ZodTypeAny, {
                        first_ticket_created_at: number;
                    }, {
                        first_ticket_created_at: number;
                    }>>>;
                    party_attributes: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>>;
                    party_id: z.ZodString;
                    party_members: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                        extra_attributes: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>>;
                        user_id: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        extra_attributes?: Record<string, any> | null | undefined;
                        user_id: string;
                    }, {
                        extra_attributes?: Record<string, any> | null | undefined;
                        user_id: string;
                    }>, "many">>>;
                }, "strip", z.ZodTypeAny, {
                    match_attributes?: {
                        first_ticket_created_at: number;
                    } | null | undefined;
                    party_attributes?: Record<string, any> | null | undefined;
                    party_members?: {
                        extra_attributes?: Record<string, any> | null | undefined;
                        user_id: string;
                    }[] | null | undefined;
                    party_id: string;
                }, {
                    match_attributes?: {
                        first_ticket_created_at: number;
                    } | null | undefined;
                    party_attributes?: Record<string, any> | null | undefined;
                    party_members?: {
                        extra_attributes?: Record<string, any> | null | undefined;
                        user_id: string;
                    }[] | null | undefined;
                    party_id: string;
                }>, "many">>>;
            }, "strip", z.ZodTypeAny, {
                matching_parties?: {
                    match_attributes?: {
                        first_ticket_created_at: number;
                    } | null | undefined;
                    party_attributes?: Record<string, any> | null | undefined;
                    party_members?: {
                        extra_attributes?: Record<string, any> | null | undefined;
                        user_id: string;
                    }[] | null | undefined;
                    party_id: string;
                }[] | null | undefined;
            }, {
                matching_parties?: {
                    match_attributes?: {
                        first_ticket_created_at: number;
                    } | null | undefined;
                    party_attributes?: Record<string, any> | null | undefined;
                    party_members?: {
                        extra_attributes?: Record<string, any> | null | undefined;
                        user_id: string;
                    }[] | null | undefined;
                    party_id: string;
                }[] | null | undefined;
            }>, "many">>>;
            namespace: z.ZodString;
            party_attributes: z.ZodRecord<z.ZodString, z.ZodAny>;
            party_id: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            queued_at: z.ZodNumber;
            region: z.ZodString;
            server_name: z.ZodString;
            status: z.ZodString;
            sub_game_mode: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
        }, "strip", z.ZodTypeAny, {
            joinable?: boolean | null | undefined;
            party_id?: string | null | undefined;
            matching_allies?: {
                matching_parties?: {
                    match_attributes?: {
                        first_ticket_created_at: number;
                    } | null | undefined;
                    party_attributes?: Record<string, any> | null | undefined;
                    party_members?: {
                        extra_attributes?: Record<string, any> | null | undefined;
                        user_id: string;
                    }[] | null | undefined;
                    party_id: string;
                }[] | null | undefined;
            }[] | null | undefined;
            sub_game_mode?: string[] | null | undefined;
            status: string;
            deployment: string;
            namespace: string;
            region: string;
            created_at: string;
            party_attributes: Record<string, any>;
            channel: string;
            client_version: string;
            event: string;
            game_mode: string;
            match_id: string;
            queued_at: number;
            server_name: string;
        }, {
            joinable?: boolean | null | undefined;
            party_id?: string | null | undefined;
            matching_allies?: {
                matching_parties?: {
                    match_attributes?: {
                        first_ticket_created_at: number;
                    } | null | undefined;
                    party_attributes?: Record<string, any> | null | undefined;
                    party_members?: {
                        extra_attributes?: Record<string, any> | null | undefined;
                        user_id: string;
                    }[] | null | undefined;
                    party_id: string;
                }[] | null | undefined;
            }[] | null | undefined;
            sub_game_mode?: string[] | null | undefined;
            status: string;
            deployment: string;
            namespace: string;
            region: string;
            created_at: string;
            party_attributes: Record<string, any>;
            channel: string;
            client_version: string;
            event: string;
            game_mode: string;
            match_id: string;
            queued_at: number;
            server_name: string;
        }>>>;
        namespace: z.ZodString;
        players: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
        server: z.ZodObject<{
            allocation_id: z.ZodString;
            alternate_ips: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
            cpu_limit: z.ZodNumber;
            cpu_request: z.ZodString;
            deployment: z.ZodString;
            game_version: z.ZodString;
            image_version: z.ZodString;
            ip: z.ZodString;
            is_override_game_version: z.ZodBoolean;
            last_update: z.ZodString;
            mem_limit: z.ZodNumber;
            mem_request: z.ZodString;
            namespace: z.ZodString;
            params: z.ZodString;
            pod_name: z.ZodString;
            port: z.ZodNumber;
            ports: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodNumber>>>;
            provider: z.ZodString;
            region: z.ZodString;
            session_id: z.ZodString;
            status: z.ZodString;
            status_history: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                status: z.ZodString;
                time_stamp: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                status: string;
                time_stamp: string;
            }, {
                status: string;
                time_stamp: string;
            }>, "many">>>;
        }, "strip", z.ZodTypeAny, {
            alternate_ips?: string[] | null | undefined;
            ports?: Record<string, number> | null | undefined;
            status_history?: {
                status: string;
                time_stamp: string;
            }[] | null | undefined;
            params: string;
            status: string;
            allocation_id: string;
            cpu_limit: number;
            cpu_request: string;
            deployment: string;
            game_version: string;
            image_version: string;
            ip: string;
            is_override_game_version: boolean;
            last_update: string;
            mem_limit: number;
            mem_request: string;
            namespace: string;
            pod_name: string;
            port: number;
            provider: string;
            region: string;
            session_id: string;
        }, {
            alternate_ips?: string[] | null | undefined;
            ports?: Record<string, number> | null | undefined;
            status_history?: {
                status: string;
                time_stamp: string;
            }[] | null | undefined;
            params: string;
            status: string;
            allocation_id: string;
            cpu_limit: number;
            cpu_request: string;
            deployment: string;
            game_version: string;
            image_version: string;
            ip: string;
            is_override_game_version: boolean;
            last_update: string;
            mem_limit: number;
            mem_request: string;
            namespace: string;
            pod_name: string;
            port: number;
            provider: string;
            region: string;
            session_id: string;
        }>;
        session_id: z.ZodString;
        session_type: z.ZodString;
        spectators: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
        user_id: z.ZodString;
        username: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        all_players?: string[] | null | undefined;
        game_session_setting?: {
            settings?: Record<string, any> | null | undefined;
            allow_join_in_progress: boolean;
            current_internal_player: number;
            current_player: number;
            map_name: string;
            max_internal_player: number;
            max_player: number;
            mode: string;
            num_bot: number;
            password: string;
        } | null | undefined;
        players?: string[] | null | undefined;
        spectators?: string[] | null | undefined;
        match?: {
            joinable?: boolean | null | undefined;
            party_id?: string | null | undefined;
            matching_allies?: {
                matching_parties?: {
                    match_attributes?: {
                        first_ticket_created_at: number;
                    } | null | undefined;
                    party_attributes?: Record<string, any> | null | undefined;
                    party_members?: {
                        extra_attributes?: Record<string, any> | null | undefined;
                        user_id: string;
                    }[] | null | undefined;
                    party_id: string;
                }[] | null | undefined;
            }[] | null | undefined;
            sub_game_mode?: string[] | null | undefined;
            status: string;
            deployment: string;
            namespace: string;
            region: string;
            created_at: string;
            party_attributes: Record<string, any>;
            channel: string;
            client_version: string;
            event: string;
            game_mode: string;
            match_id: string;
            queued_at: number;
            server_name: string;
        } | null | undefined;
        game_version: string;
        namespace: string;
        session_id: string;
        created_at: string;
        joinable: boolean;
        server: {
            alternate_ips?: string[] | null | undefined;
            ports?: Record<string, number> | null | undefined;
            status_history?: {
                status: string;
                time_stamp: string;
            }[] | null | undefined;
            params: string;
            status: string;
            allocation_id: string;
            cpu_limit: number;
            cpu_request: string;
            deployment: string;
            game_version: string;
            image_version: string;
            ip: string;
            is_override_game_version: boolean;
            last_update: string;
            mem_limit: number;
            mem_request: string;
            namespace: string;
            pod_name: string;
            port: number;
            provider: string;
            region: string;
            session_id: string;
        };
        session_type: string;
        user_id: string;
        username: string;
    }, {
        all_players?: string[] | null | undefined;
        game_session_setting?: {
            settings?: Record<string, any> | null | undefined;
            allow_join_in_progress: boolean;
            current_internal_player: number;
            current_player: number;
            map_name: string;
            max_internal_player: number;
            max_player: number;
            mode: string;
            num_bot: number;
            password: string;
        } | null | undefined;
        players?: string[] | null | undefined;
        spectators?: string[] | null | undefined;
        match?: {
            joinable?: boolean | null | undefined;
            party_id?: string | null | undefined;
            matching_allies?: {
                matching_parties?: {
                    match_attributes?: {
                        first_ticket_created_at: number;
                    } | null | undefined;
                    party_attributes?: Record<string, any> | null | undefined;
                    party_members?: {
                        extra_attributes?: Record<string, any> | null | undefined;
                        user_id: string;
                    }[] | null | undefined;
                    party_id: string;
                }[] | null | undefined;
            }[] | null | undefined;
            sub_game_mode?: string[] | null | undefined;
            status: string;
            deployment: string;
            namespace: string;
            region: string;
            created_at: string;
            party_attributes: Record<string, any>;
            channel: string;
            client_version: string;
            event: string;
            game_mode: string;
            match_id: string;
            queued_at: number;
            server_name: string;
        } | null | undefined;
        game_version: string;
        namespace: string;
        session_id: string;
        created_at: string;
        joinable: boolean;
        server: {
            alternate_ips?: string[] | null | undefined;
            ports?: Record<string, number> | null | undefined;
            status_history?: {
                status: string;
                time_stamp: string;
            }[] | null | undefined;
            params: string;
            status: string;
            allocation_id: string;
            cpu_limit: number;
            cpu_request: string;
            deployment: string;
            game_version: string;
            image_version: string;
            ip: string;
            is_override_game_version: boolean;
            last_update: string;
            mem_limit: number;
            mem_request: string;
            namespace: string;
            pod_name: string;
            port: number;
            provider: string;
            region: string;
            session_id: string;
        };
        session_type: string;
        user_id: string;
        username: string;
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    pagination: {
        next: string;
        previous: string;
    };
    sessions: {
        all_players?: string[] | null | undefined;
        game_session_setting?: {
            settings?: Record<string, any> | null | undefined;
            allow_join_in_progress: boolean;
            current_internal_player: number;
            current_player: number;
            map_name: string;
            max_internal_player: number;
            max_player: number;
            mode: string;
            num_bot: number;
            password: string;
        } | null | undefined;
        players?: string[] | null | undefined;
        spectators?: string[] | null | undefined;
        match?: {
            joinable?: boolean | null | undefined;
            party_id?: string | null | undefined;
            matching_allies?: {
                matching_parties?: {
                    match_attributes?: {
                        first_ticket_created_at: number;
                    } | null | undefined;
                    party_attributes?: Record<string, any> | null | undefined;
                    party_members?: {
                        extra_attributes?: Record<string, any> | null | undefined;
                        user_id: string;
                    }[] | null | undefined;
                    party_id: string;
                }[] | null | undefined;
            }[] | null | undefined;
            sub_game_mode?: string[] | null | undefined;
            status: string;
            deployment: string;
            namespace: string;
            region: string;
            created_at: string;
            party_attributes: Record<string, any>;
            channel: string;
            client_version: string;
            event: string;
            game_mode: string;
            match_id: string;
            queued_at: number;
            server_name: string;
        } | null | undefined;
        game_version: string;
        namespace: string;
        session_id: string;
        created_at: string;
        joinable: boolean;
        server: {
            alternate_ips?: string[] | null | undefined;
            ports?: Record<string, number> | null | undefined;
            status_history?: {
                status: string;
                time_stamp: string;
            }[] | null | undefined;
            params: string;
            status: string;
            allocation_id: string;
            cpu_limit: number;
            cpu_request: string;
            deployment: string;
            game_version: string;
            image_version: string;
            ip: string;
            is_override_game_version: boolean;
            last_update: string;
            mem_limit: number;
            mem_request: string;
            namespace: string;
            pod_name: string;
            port: number;
            provider: string;
            region: string;
            session_id: string;
        };
        session_type: string;
        user_id: string;
        username: string;
    }[];
}, {
    pagination: {
        next: string;
        previous: string;
    };
    sessions: {
        all_players?: string[] | null | undefined;
        game_session_setting?: {
            settings?: Record<string, any> | null | undefined;
            allow_join_in_progress: boolean;
            current_internal_player: number;
            current_player: number;
            map_name: string;
            max_internal_player: number;
            max_player: number;
            mode: string;
            num_bot: number;
            password: string;
        } | null | undefined;
        players?: string[] | null | undefined;
        spectators?: string[] | null | undefined;
        match?: {
            joinable?: boolean | null | undefined;
            party_id?: string | null | undefined;
            matching_allies?: {
                matching_parties?: {
                    match_attributes?: {
                        first_ticket_created_at: number;
                    } | null | undefined;
                    party_attributes?: Record<string, any> | null | undefined;
                    party_members?: {
                        extra_attributes?: Record<string, any> | null | undefined;
                        user_id: string;
                    }[] | null | undefined;
                    party_id: string;
                }[] | null | undefined;
            }[] | null | undefined;
            sub_game_mode?: string[] | null | undefined;
            status: string;
            deployment: string;
            namespace: string;
            region: string;
            created_at: string;
            party_attributes: Record<string, any>;
            channel: string;
            client_version: string;
            event: string;
            game_mode: string;
            match_id: string;
            queued_at: number;
            server_name: string;
        } | null | undefined;
        game_version: string;
        namespace: string;
        session_id: string;
        created_at: string;
        joinable: boolean;
        server: {
            alternate_ips?: string[] | null | undefined;
            ports?: Record<string, number> | null | undefined;
            status_history?: {
                status: string;
                time_stamp: string;
            }[] | null | undefined;
            params: string;
            status: string;
            allocation_id: string;
            cpu_limit: number;
            cpu_request: string;
            deployment: string;
            game_version: string;
            image_version: string;
            ip: string;
            is_override_game_version: boolean;
            last_update: string;
            mem_limit: number;
            mem_request: string;
            namespace: string;
            pod_name: string;
            port: number;
            provider: string;
            region: string;
            session_id: string;
        };
        session_type: string;
        user_id: string;
        username: string;
    }[];
}>;
interface SessionQueryResponse extends z.TypeOf<typeof SessionQueryResponse> {
}

/**
 * AUTO GENERATED
 */

declare class SessionAdmin$ {
    private axiosInstance;
    private namespace;
    private isZodEnabled;
    constructor(axiosInstance: AxiosInstance, namespace: string, isZodEnabled?: boolean);
    /**
     * Query to available game session
     */
    getGamesession(queryParams: {
        session_type: string | null;
        game_mode?: string | null;
        game_version?: string | null;
        joinable?: string | null;
        limit?: number;
        match_exist?: string | null;
        match_id?: string | null;
        offset?: number;
        server_status?: string | null;
        user_id?: string | null;
    }): Promise<IResponse<SessionQueryResponse>>;
    /**
     * Admin delete the session by session ID
     */
    deleteGamesession_BySessionId(sessionID: string): Promise<IResponse<AdminSessionResponse>>;
    /**
     * Get the session by session ID for admin user
     */
    getGamesession_BySessionId(sessionID: string): Promise<IResponse<AdminSessionResponse>>;
    /**
     * Search sessions. Optimize the query by differentiating query with filter namespace only and filter with namespace &amp; other filter (partyID, userID, matchID). Query with filter namespace only will not group whole session data while query with filter namespace &amp; other filter will include session data.
     */
    getSessionsHistorySearch(queryParams: {
        limit: number;
        offset: number;
        channel?: string | null;
        deleted?: boolean | null;
        matchID?: string | null;
        partyID?: string | null;
        sessionType?: string | null;
        status?: string | null;
        userID?: string | null;
    }): Promise<IResponse<GetSessionHistorySearchResponseV2>>;
    /**
     * Get all active session
     */
    getGamesessionActiveCount(queryParams?: {
        session_type?: string | null;
    }): Promise<IResponse<CountActiveSessionResponse>>;
    /**
     * Get all active session for custom game, this return only dedicated session type
     */
    getGamesessionActiveCustomGame(queryParams?: {
        limit?: number;
        offset?: number;
        server_region?: string | null;
        session_id?: string | null;
    }): Promise<IResponse<ActiveCustomGameResponse>>;
    /**
     * Get all active session for matchmaking game, this return only dedicated session type
     */
    getGamesessionActiveMatchmakingGame(queryParams?: {
        limit?: number;
        match_id?: string | null;
        offset?: number;
        server_region?: string | null;
        session_id?: string | null;
    }): Promise<IResponse<ActiveMatchmakingGameResponse>>;
    /**
     * Get session history detailed. if party_id value empty/null, field will not show in response body.
     */
    getHistoryDetailed_ByMatchId(matchID: string): Promise<IResponse<GetSessionHistoryDetailedResponseItemArray>>;
}

/**
 * AUTO GENERATED
 */

declare function SessionAdminApi(sdk: AccelbyteSDK, args?: ApiArgs): {
    getGamesession: (queryParams: {
        session_type: string | null;
        game_mode?: string | null;
        game_version?: string | null;
        joinable?: string | null;
        limit?: number;
        match_exist?: string | null;
        match_id?: string | null;
        offset?: number;
        server_status?: string | null;
        user_id?: string | null;
    }) => Promise<SessionQueryResponse>;
    deleteGamesession_BySessionId: (sessionID: string) => Promise<AdminSessionResponse>;
    getGamesession_BySessionId: (sessionID: string) => Promise<AdminSessionResponse>;
    getSessionsHistorySearch: (queryParams: {
        limit: number;
        offset: number;
        channel?: string | null;
        deleted?: boolean | null;
        matchID?: string | null;
        partyID?: string | null;
        sessionType?: string | null;
        status?: string | null;
        userID?: string | null;
    }) => Promise<GetSessionHistorySearchResponseV2>;
    getGamesessionActiveCount: (queryParams?: {
        session_type?: string | null | undefined;
    } | undefined) => Promise<CountActiveSessionResponse>;
    getGamesessionActiveCustomGame: (queryParams?: {
        limit?: number | undefined;
        offset?: number | undefined;
        server_region?: string | null | undefined;
        session_id?: string | null | undefined;
    } | undefined) => Promise<ActiveCustomGameResponse>;
    getGamesessionActiveMatchmakingGame: (queryParams?: {
        limit?: number | undefined;
        match_id?: string | null | undefined;
        offset?: number | undefined;
        server_region?: string | null | undefined;
        session_id?: string | null | undefined;
    } | undefined) => Promise<ActiveMatchmakingGameResponse>;
    getHistoryDetailed_ByMatchId: (matchID: string) => Promise<GetSessionHistoryDetailedResponseItemArray>;
};

declare const AddPlayerRequest: z.ZodObject<{
    as_spectator: z.ZodBoolean;
    user_id: z.ZodString;
}, "strip", z.ZodTypeAny, {
    user_id: string;
    as_spectator: boolean;
}, {
    user_id: string;
    as_spectator: boolean;
}>;
interface AddPlayerRequest extends z.TypeOf<typeof AddPlayerRequest> {
}

declare const AddPlayerResponse: z.ZodObject<{
    status: z.ZodBoolean;
}, "strip", z.ZodTypeAny, {
    status: boolean;
}, {
    status: boolean;
}>;
interface AddPlayerResponse extends z.TypeOf<typeof AddPlayerResponse> {
}

declare const CreateSessionRequest: z.ZodObject<{
    game_session_setting: z.ZodObject<{
        allow_join_in_progress: z.ZodBoolean;
        current_internal_player: z.ZodNumber;
        current_player: z.ZodNumber;
        map_name: z.ZodString;
        max_internal_player: z.ZodNumber;
        max_player: z.ZodNumber;
        mode: z.ZodString;
        num_bot: z.ZodNumber;
        password: z.ZodString;
        settings: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>>;
    }, "strip", z.ZodTypeAny, {
        settings?: Record<string, any> | null | undefined;
        allow_join_in_progress: boolean;
        current_internal_player: number;
        current_player: number;
        map_name: string;
        max_internal_player: number;
        max_player: number;
        mode: string;
        num_bot: number;
        password: string;
    }, {
        settings?: Record<string, any> | null | undefined;
        allow_join_in_progress: boolean;
        current_internal_player: number;
        current_player: number;
        map_name: string;
        max_internal_player: number;
        max_player: number;
        mode: string;
        num_bot: number;
        password: string;
    }>;
    game_version: z.ZodString;
    namespace: z.ZodString;
    session_type: z.ZodString;
    username: z.ZodString;
}, "strip", z.ZodTypeAny, {
    game_version: string;
    namespace: string;
    game_session_setting: {
        settings?: Record<string, any> | null | undefined;
        allow_join_in_progress: boolean;
        current_internal_player: number;
        current_player: number;
        map_name: string;
        max_internal_player: number;
        max_player: number;
        mode: string;
        num_bot: number;
        password: string;
    };
    session_type: string;
    username: string;
}, {
    game_version: string;
    namespace: string;
    game_session_setting: {
        settings?: Record<string, any> | null | undefined;
        allow_join_in_progress: boolean;
        current_internal_player: number;
        current_player: number;
        map_name: string;
        max_internal_player: number;
        max_player: number;
        mode: string;
        num_bot: number;
        password: string;
    };
    session_type: string;
    username: string;
}>;
interface CreateSessionRequest extends z.TypeOf<typeof CreateSessionRequest> {
}

declare const JoinGameSessionRequest: z.ZodObject<{
    password: z.ZodString;
}, "strip", z.ZodTypeAny, {
    password: string;
}, {
    password: string;
}>;
interface JoinGameSessionRequest extends z.TypeOf<typeof JoinGameSessionRequest> {
}

declare const RecentPlayerQueryResponse: z.ZodObject<{
    data: z.ZodArray<z.ZodObject<{
        created_at: z.ZodString;
        namespace: z.ZodString;
        other_display_name: z.ZodString;
        other_id: z.ZodString;
        updated_at: z.ZodString;
        user_id: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        namespace: string;
        created_at: string;
        user_id: string;
        other_display_name: string;
        other_id: string;
        updated_at: string;
    }, {
        namespace: string;
        created_at: string;
        user_id: string;
        other_display_name: string;
        other_id: string;
        updated_at: string;
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    data: {
        namespace: string;
        created_at: string;
        user_id: string;
        other_display_name: string;
        other_id: string;
        updated_at: string;
    }[];
}, {
    data: {
        namespace: string;
        created_at: string;
        user_id: string;
        other_display_name: string;
        other_id: string;
        updated_at: string;
    }[];
}>;
interface RecentPlayerQueryResponse extends z.TypeOf<typeof RecentPlayerQueryResponse> {
}

declare const SessionByUserIDsResponse: z.ZodObject<{
    data: z.ZodArray<z.ZodObject<{
        all_players: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
        created_at: z.ZodString;
        game_session_setting: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            allow_join_in_progress: z.ZodBoolean;
            current_internal_player: z.ZodNumber;
            current_player: z.ZodNumber;
            map_name: z.ZodString;
            max_internal_player: z.ZodNumber;
            max_player: z.ZodNumber;
            mode: z.ZodString;
            num_bot: z.ZodNumber;
            password: z.ZodString;
            settings: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>>;
        }, "strip", z.ZodTypeAny, {
            settings?: Record<string, any> | null | undefined;
            allow_join_in_progress: boolean;
            current_internal_player: number;
            current_player: number;
            map_name: string;
            max_internal_player: number;
            max_player: number;
            mode: string;
            num_bot: number;
            password: string;
        }, {
            settings?: Record<string, any> | null | undefined;
            allow_join_in_progress: boolean;
            current_internal_player: number;
            current_player: number;
            map_name: string;
            max_internal_player: number;
            max_player: number;
            mode: string;
            num_bot: number;
            password: string;
        }>>>;
        game_version: z.ZodString;
        joinable: z.ZodBoolean;
        match: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            channel: z.ZodString;
            client_version: z.ZodString;
            created_at: z.ZodString;
            deployment: z.ZodString;
            event: z.ZodString;
            game_mode: z.ZodString;
            joinable: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            match_id: z.ZodString;
            matching_allies: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                matching_parties: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                    match_attributes: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                        first_ticket_created_at: z.ZodNumber;
                    }, "strip", z.ZodTypeAny, {
                        first_ticket_created_at: number;
                    }, {
                        first_ticket_created_at: number;
                    }>>>;
                    party_attributes: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>>;
                    party_id: z.ZodString;
                    party_members: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                        extra_attributes: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>>;
                        user_id: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        extra_attributes?: Record<string, any> | null | undefined;
                        user_id: string;
                    }, {
                        extra_attributes?: Record<string, any> | null | undefined;
                        user_id: string;
                    }>, "many">>>;
                }, "strip", z.ZodTypeAny, {
                    match_attributes?: {
                        first_ticket_created_at: number;
                    } | null | undefined;
                    party_attributes?: Record<string, any> | null | undefined;
                    party_members?: {
                        extra_attributes?: Record<string, any> | null | undefined;
                        user_id: string;
                    }[] | null | undefined;
                    party_id: string;
                }, {
                    match_attributes?: {
                        first_ticket_created_at: number;
                    } | null | undefined;
                    party_attributes?: Record<string, any> | null | undefined;
                    party_members?: {
                        extra_attributes?: Record<string, any> | null | undefined;
                        user_id: string;
                    }[] | null | undefined;
                    party_id: string;
                }>, "many">>>;
            }, "strip", z.ZodTypeAny, {
                matching_parties?: {
                    match_attributes?: {
                        first_ticket_created_at: number;
                    } | null | undefined;
                    party_attributes?: Record<string, any> | null | undefined;
                    party_members?: {
                        extra_attributes?: Record<string, any> | null | undefined;
                        user_id: string;
                    }[] | null | undefined;
                    party_id: string;
                }[] | null | undefined;
            }, {
                matching_parties?: {
                    match_attributes?: {
                        first_ticket_created_at: number;
                    } | null | undefined;
                    party_attributes?: Record<string, any> | null | undefined;
                    party_members?: {
                        extra_attributes?: Record<string, any> | null | undefined;
                        user_id: string;
                    }[] | null | undefined;
                    party_id: string;
                }[] | null | undefined;
            }>, "many">>>;
            namespace: z.ZodString;
            party_attributes: z.ZodRecord<z.ZodString, z.ZodAny>;
            party_id: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            queued_at: z.ZodNumber;
            region: z.ZodString;
            server_name: z.ZodString;
            status: z.ZodString;
            sub_game_mode: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
        }, "strip", z.ZodTypeAny, {
            joinable?: boolean | null | undefined;
            party_id?: string | null | undefined;
            matching_allies?: {
                matching_parties?: {
                    match_attributes?: {
                        first_ticket_created_at: number;
                    } | null | undefined;
                    party_attributes?: Record<string, any> | null | undefined;
                    party_members?: {
                        extra_attributes?: Record<string, any> | null | undefined;
                        user_id: string;
                    }[] | null | undefined;
                    party_id: string;
                }[] | null | undefined;
            }[] | null | undefined;
            sub_game_mode?: string[] | null | undefined;
            status: string;
            deployment: string;
            namespace: string;
            region: string;
            created_at: string;
            party_attributes: Record<string, any>;
            channel: string;
            client_version: string;
            event: string;
            game_mode: string;
            match_id: string;
            queued_at: number;
            server_name: string;
        }, {
            joinable?: boolean | null | undefined;
            party_id?: string | null | undefined;
            matching_allies?: {
                matching_parties?: {
                    match_attributes?: {
                        first_ticket_created_at: number;
                    } | null | undefined;
                    party_attributes?: Record<string, any> | null | undefined;
                    party_members?: {
                        extra_attributes?: Record<string, any> | null | undefined;
                        user_id: string;
                    }[] | null | undefined;
                    party_id: string;
                }[] | null | undefined;
            }[] | null | undefined;
            sub_game_mode?: string[] | null | undefined;
            status: string;
            deployment: string;
            namespace: string;
            region: string;
            created_at: string;
            party_attributes: Record<string, any>;
            channel: string;
            client_version: string;
            event: string;
            game_mode: string;
            match_id: string;
            queued_at: number;
            server_name: string;
        }>>>;
        namespace: z.ZodString;
        players: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
        server: z.ZodObject<{
            allocation_id: z.ZodString;
            alternate_ips: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
            cpu_limit: z.ZodNumber;
            cpu_request: z.ZodString;
            deployment: z.ZodString;
            game_version: z.ZodString;
            image_version: z.ZodString;
            ip: z.ZodString;
            is_override_game_version: z.ZodBoolean;
            last_update: z.ZodString;
            mem_limit: z.ZodNumber;
            mem_request: z.ZodString;
            namespace: z.ZodString;
            params: z.ZodString;
            pod_name: z.ZodString;
            port: z.ZodNumber;
            ports: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodNumber>>>;
            provider: z.ZodString;
            region: z.ZodString;
            session_id: z.ZodString;
            status: z.ZodString;
            status_history: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                status: z.ZodString;
                time_stamp: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                status: string;
                time_stamp: string;
            }, {
                status: string;
                time_stamp: string;
            }>, "many">>>;
        }, "strip", z.ZodTypeAny, {
            alternate_ips?: string[] | null | undefined;
            ports?: Record<string, number> | null | undefined;
            status_history?: {
                status: string;
                time_stamp: string;
            }[] | null | undefined;
            params: string;
            status: string;
            allocation_id: string;
            cpu_limit: number;
            cpu_request: string;
            deployment: string;
            game_version: string;
            image_version: string;
            ip: string;
            is_override_game_version: boolean;
            last_update: string;
            mem_limit: number;
            mem_request: string;
            namespace: string;
            pod_name: string;
            port: number;
            provider: string;
            region: string;
            session_id: string;
        }, {
            alternate_ips?: string[] | null | undefined;
            ports?: Record<string, number> | null | undefined;
            status_history?: {
                status: string;
                time_stamp: string;
            }[] | null | undefined;
            params: string;
            status: string;
            allocation_id: string;
            cpu_limit: number;
            cpu_request: string;
            deployment: string;
            game_version: string;
            image_version: string;
            ip: string;
            is_override_game_version: boolean;
            last_update: string;
            mem_limit: number;
            mem_request: string;
            namespace: string;
            pod_name: string;
            port: number;
            provider: string;
            region: string;
            session_id: string;
        }>;
        session_id: z.ZodString;
        session_type: z.ZodString;
        spectators: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
        user_id: z.ZodString;
        username: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        all_players?: string[] | null | undefined;
        game_session_setting?: {
            settings?: Record<string, any> | null | undefined;
            allow_join_in_progress: boolean;
            current_internal_player: number;
            current_player: number;
            map_name: string;
            max_internal_player: number;
            max_player: number;
            mode: string;
            num_bot: number;
            password: string;
        } | null | undefined;
        players?: string[] | null | undefined;
        spectators?: string[] | null | undefined;
        match?: {
            joinable?: boolean | null | undefined;
            party_id?: string | null | undefined;
            matching_allies?: {
                matching_parties?: {
                    match_attributes?: {
                        first_ticket_created_at: number;
                    } | null | undefined;
                    party_attributes?: Record<string, any> | null | undefined;
                    party_members?: {
                        extra_attributes?: Record<string, any> | null | undefined;
                        user_id: string;
                    }[] | null | undefined;
                    party_id: string;
                }[] | null | undefined;
            }[] | null | undefined;
            sub_game_mode?: string[] | null | undefined;
            status: string;
            deployment: string;
            namespace: string;
            region: string;
            created_at: string;
            party_attributes: Record<string, any>;
            channel: string;
            client_version: string;
            event: string;
            game_mode: string;
            match_id: string;
            queued_at: number;
            server_name: string;
        } | null | undefined;
        game_version: string;
        namespace: string;
        session_id: string;
        created_at: string;
        joinable: boolean;
        server: {
            alternate_ips?: string[] | null | undefined;
            ports?: Record<string, number> | null | undefined;
            status_history?: {
                status: string;
                time_stamp: string;
            }[] | null | undefined;
            params: string;
            status: string;
            allocation_id: string;
            cpu_limit: number;
            cpu_request: string;
            deployment: string;
            game_version: string;
            image_version: string;
            ip: string;
            is_override_game_version: boolean;
            last_update: string;
            mem_limit: number;
            mem_request: string;
            namespace: string;
            pod_name: string;
            port: number;
            provider: string;
            region: string;
            session_id: string;
        };
        session_type: string;
        user_id: string;
        username: string;
    }, {
        all_players?: string[] | null | undefined;
        game_session_setting?: {
            settings?: Record<string, any> | null | undefined;
            allow_join_in_progress: boolean;
            current_internal_player: number;
            current_player: number;
            map_name: string;
            max_internal_player: number;
            max_player: number;
            mode: string;
            num_bot: number;
            password: string;
        } | null | undefined;
        players?: string[] | null | undefined;
        spectators?: string[] | null | undefined;
        match?: {
            joinable?: boolean | null | undefined;
            party_id?: string | null | undefined;
            matching_allies?: {
                matching_parties?: {
                    match_attributes?: {
                        first_ticket_created_at: number;
                    } | null | undefined;
                    party_attributes?: Record<string, any> | null | undefined;
                    party_members?: {
                        extra_attributes?: Record<string, any> | null | undefined;
                        user_id: string;
                    }[] | null | undefined;
                    party_id: string;
                }[] | null | undefined;
            }[] | null | undefined;
            sub_game_mode?: string[] | null | undefined;
            status: string;
            deployment: string;
            namespace: string;
            region: string;
            created_at: string;
            party_attributes: Record<string, any>;
            channel: string;
            client_version: string;
            event: string;
            game_mode: string;
            match_id: string;
            queued_at: number;
            server_name: string;
        } | null | undefined;
        game_version: string;
        namespace: string;
        session_id: string;
        created_at: string;
        joinable: boolean;
        server: {
            alternate_ips?: string[] | null | undefined;
            ports?: Record<string, number> | null | undefined;
            status_history?: {
                status: string;
                time_stamp: string;
            }[] | null | undefined;
            params: string;
            status: string;
            allocation_id: string;
            cpu_limit: number;
            cpu_request: string;
            deployment: string;
            game_version: string;
            image_version: string;
            ip: string;
            is_override_game_version: boolean;
            last_update: string;
            mem_limit: number;
            mem_request: string;
            namespace: string;
            pod_name: string;
            port: number;
            provider: string;
            region: string;
            session_id: string;
        };
        session_type: string;
        user_id: string;
        username: string;
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    data: {
        all_players?: string[] | null | undefined;
        game_session_setting?: {
            settings?: Record<string, any> | null | undefined;
            allow_join_in_progress: boolean;
            current_internal_player: number;
            current_player: number;
            map_name: string;
            max_internal_player: number;
            max_player: number;
            mode: string;
            num_bot: number;
            password: string;
        } | null | undefined;
        players?: string[] | null | undefined;
        spectators?: string[] | null | undefined;
        match?: {
            joinable?: boolean | null | undefined;
            party_id?: string | null | undefined;
            matching_allies?: {
                matching_parties?: {
                    match_attributes?: {
                        first_ticket_created_at: number;
                    } | null | undefined;
                    party_attributes?: Record<string, any> | null | undefined;
                    party_members?: {
                        extra_attributes?: Record<string, any> | null | undefined;
                        user_id: string;
                    }[] | null | undefined;
                    party_id: string;
                }[] | null | undefined;
            }[] | null | undefined;
            sub_game_mode?: string[] | null | undefined;
            status: string;
            deployment: string;
            namespace: string;
            region: string;
            created_at: string;
            party_attributes: Record<string, any>;
            channel: string;
            client_version: string;
            event: string;
            game_mode: string;
            match_id: string;
            queued_at: number;
            server_name: string;
        } | null | undefined;
        game_version: string;
        namespace: string;
        session_id: string;
        created_at: string;
        joinable: boolean;
        server: {
            alternate_ips?: string[] | null | undefined;
            ports?: Record<string, number> | null | undefined;
            status_history?: {
                status: string;
                time_stamp: string;
            }[] | null | undefined;
            params: string;
            status: string;
            allocation_id: string;
            cpu_limit: number;
            cpu_request: string;
            deployment: string;
            game_version: string;
            image_version: string;
            ip: string;
            is_override_game_version: boolean;
            last_update: string;
            mem_limit: number;
            mem_request: string;
            namespace: string;
            pod_name: string;
            port: number;
            provider: string;
            region: string;
            session_id: string;
        };
        session_type: string;
        user_id: string;
        username: string;
    }[];
}, {
    data: {
        all_players?: string[] | null | undefined;
        game_session_setting?: {
            settings?: Record<string, any> | null | undefined;
            allow_join_in_progress: boolean;
            current_internal_player: number;
            current_player: number;
            map_name: string;
            max_internal_player: number;
            max_player: number;
            mode: string;
            num_bot: number;
            password: string;
        } | null | undefined;
        players?: string[] | null | undefined;
        spectators?: string[] | null | undefined;
        match?: {
            joinable?: boolean | null | undefined;
            party_id?: string | null | undefined;
            matching_allies?: {
                matching_parties?: {
                    match_attributes?: {
                        first_ticket_created_at: number;
                    } | null | undefined;
                    party_attributes?: Record<string, any> | null | undefined;
                    party_members?: {
                        extra_attributes?: Record<string, any> | null | undefined;
                        user_id: string;
                    }[] | null | undefined;
                    party_id: string;
                }[] | null | undefined;
            }[] | null | undefined;
            sub_game_mode?: string[] | null | undefined;
            status: string;
            deployment: string;
            namespace: string;
            region: string;
            created_at: string;
            party_attributes: Record<string, any>;
            channel: string;
            client_version: string;
            event: string;
            game_mode: string;
            match_id: string;
            queued_at: number;
            server_name: string;
        } | null | undefined;
        game_version: string;
        namespace: string;
        session_id: string;
        created_at: string;
        joinable: boolean;
        server: {
            alternate_ips?: string[] | null | undefined;
            ports?: Record<string, number> | null | undefined;
            status_history?: {
                status: string;
                time_stamp: string;
            }[] | null | undefined;
            params: string;
            status: string;
            allocation_id: string;
            cpu_limit: number;
            cpu_request: string;
            deployment: string;
            game_version: string;
            image_version: string;
            ip: string;
            is_override_game_version: boolean;
            last_update: string;
            mem_limit: number;
            mem_request: string;
            namespace: string;
            pod_name: string;
            port: number;
            provider: string;
            region: string;
            session_id: string;
        };
        session_type: string;
        user_id: string;
        username: string;
    }[];
}>;
interface SessionByUserIDsResponse extends z.TypeOf<typeof SessionByUserIDsResponse> {
}

declare const SessionResponse: z.ZodObject<{
    all_players: z.ZodArray<z.ZodString, "many">;
    created_at: z.ZodString;
    game_session_setting: z.ZodObject<{
        allow_join_in_progress: z.ZodBoolean;
        current_internal_player: z.ZodNumber;
        current_player: z.ZodNumber;
        map_name: z.ZodString;
        max_internal_player: z.ZodNumber;
        max_player: z.ZodNumber;
        mode: z.ZodString;
        num_bot: z.ZodNumber;
        password: z.ZodString;
        settings: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>>;
    }, "strip", z.ZodTypeAny, {
        settings?: Record<string, any> | null | undefined;
        allow_join_in_progress: boolean;
        current_internal_player: number;
        current_player: number;
        map_name: string;
        max_internal_player: number;
        max_player: number;
        mode: string;
        num_bot: number;
        password: string;
    }, {
        settings?: Record<string, any> | null | undefined;
        allow_join_in_progress: boolean;
        current_internal_player: number;
        current_player: number;
        map_name: string;
        max_internal_player: number;
        max_player: number;
        mode: string;
        num_bot: number;
        password: string;
    }>;
    game_version: z.ZodString;
    joinable: z.ZodBoolean;
    match: z.ZodObject<{
        channel: z.ZodString;
        client_version: z.ZodString;
        created_at: z.ZodString;
        deployment: z.ZodString;
        event: z.ZodString;
        game_mode: z.ZodString;
        joinable: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        match_id: z.ZodString;
        matching_allies: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
            matching_parties: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                match_attributes: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    first_ticket_created_at: z.ZodNumber;
                }, "strip", z.ZodTypeAny, {
                    first_ticket_created_at: number;
                }, {
                    first_ticket_created_at: number;
                }>>>;
                party_attributes: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>>;
                party_id: z.ZodString;
                party_members: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                    extra_attributes: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>>;
                    user_id: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    extra_attributes?: Record<string, any> | null | undefined;
                    user_id: string;
                }, {
                    extra_attributes?: Record<string, any> | null | undefined;
                    user_id: string;
                }>, "many">>>;
            }, "strip", z.ZodTypeAny, {
                match_attributes?: {
                    first_ticket_created_at: number;
                } | null | undefined;
                party_attributes?: Record<string, any> | null | undefined;
                party_members?: {
                    extra_attributes?: Record<string, any> | null | undefined;
                    user_id: string;
                }[] | null | undefined;
                party_id: string;
            }, {
                match_attributes?: {
                    first_ticket_created_at: number;
                } | null | undefined;
                party_attributes?: Record<string, any> | null | undefined;
                party_members?: {
                    extra_attributes?: Record<string, any> | null | undefined;
                    user_id: string;
                }[] | null | undefined;
                party_id: string;
            }>, "many">>>;
        }, "strip", z.ZodTypeAny, {
            matching_parties?: {
                match_attributes?: {
                    first_ticket_created_at: number;
                } | null | undefined;
                party_attributes?: Record<string, any> | null | undefined;
                party_members?: {
                    extra_attributes?: Record<string, any> | null | undefined;
                    user_id: string;
                }[] | null | undefined;
                party_id: string;
            }[] | null | undefined;
        }, {
            matching_parties?: {
                match_attributes?: {
                    first_ticket_created_at: number;
                } | null | undefined;
                party_attributes?: Record<string, any> | null | undefined;
                party_members?: {
                    extra_attributes?: Record<string, any> | null | undefined;
                    user_id: string;
                }[] | null | undefined;
                party_id: string;
            }[] | null | undefined;
        }>, "many">>>;
        namespace: z.ZodString;
        party_attributes: z.ZodRecord<z.ZodString, z.ZodAny>;
        party_id: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        queued_at: z.ZodNumber;
        region: z.ZodString;
        server_name: z.ZodString;
        status: z.ZodString;
        sub_game_mode: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
    }, "strip", z.ZodTypeAny, {
        joinable?: boolean | null | undefined;
        party_id?: string | null | undefined;
        matching_allies?: {
            matching_parties?: {
                match_attributes?: {
                    first_ticket_created_at: number;
                } | null | undefined;
                party_attributes?: Record<string, any> | null | undefined;
                party_members?: {
                    extra_attributes?: Record<string, any> | null | undefined;
                    user_id: string;
                }[] | null | undefined;
                party_id: string;
            }[] | null | undefined;
        }[] | null | undefined;
        sub_game_mode?: string[] | null | undefined;
        status: string;
        deployment: string;
        namespace: string;
        region: string;
        created_at: string;
        party_attributes: Record<string, any>;
        channel: string;
        client_version: string;
        event: string;
        game_mode: string;
        match_id: string;
        queued_at: number;
        server_name: string;
    }, {
        joinable?: boolean | null | undefined;
        party_id?: string | null | undefined;
        matching_allies?: {
            matching_parties?: {
                match_attributes?: {
                    first_ticket_created_at: number;
                } | null | undefined;
                party_attributes?: Record<string, any> | null | undefined;
                party_members?: {
                    extra_attributes?: Record<string, any> | null | undefined;
                    user_id: string;
                }[] | null | undefined;
                party_id: string;
            }[] | null | undefined;
        }[] | null | undefined;
        sub_game_mode?: string[] | null | undefined;
        status: string;
        deployment: string;
        namespace: string;
        region: string;
        created_at: string;
        party_attributes: Record<string, any>;
        channel: string;
        client_version: string;
        event: string;
        game_mode: string;
        match_id: string;
        queued_at: number;
        server_name: string;
    }>;
    namespace: z.ZodString;
    players: z.ZodArray<z.ZodString, "many">;
    server: z.ZodObject<{
        allocation_id: z.ZodString;
        alternate_ips: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
        cpu_limit: z.ZodNumber;
        cpu_request: z.ZodString;
        deployment: z.ZodString;
        game_version: z.ZodString;
        image_version: z.ZodString;
        ip: z.ZodString;
        is_override_game_version: z.ZodBoolean;
        last_update: z.ZodString;
        mem_limit: z.ZodNumber;
        mem_request: z.ZodString;
        namespace: z.ZodString;
        params: z.ZodString;
        pod_name: z.ZodString;
        port: z.ZodNumber;
        ports: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodNumber>>>;
        provider: z.ZodString;
        region: z.ZodString;
        session_id: z.ZodString;
        status: z.ZodString;
        status_history: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
            status: z.ZodString;
            time_stamp: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            status: string;
            time_stamp: string;
        }, {
            status: string;
            time_stamp: string;
        }>, "many">>>;
    }, "strip", z.ZodTypeAny, {
        alternate_ips?: string[] | null | undefined;
        ports?: Record<string, number> | null | undefined;
        status_history?: {
            status: string;
            time_stamp: string;
        }[] | null | undefined;
        params: string;
        status: string;
        allocation_id: string;
        cpu_limit: number;
        cpu_request: string;
        deployment: string;
        game_version: string;
        image_version: string;
        ip: string;
        is_override_game_version: boolean;
        last_update: string;
        mem_limit: number;
        mem_request: string;
        namespace: string;
        pod_name: string;
        port: number;
        provider: string;
        region: string;
        session_id: string;
    }, {
        alternate_ips?: string[] | null | undefined;
        ports?: Record<string, number> | null | undefined;
        status_history?: {
            status: string;
            time_stamp: string;
        }[] | null | undefined;
        params: string;
        status: string;
        allocation_id: string;
        cpu_limit: number;
        cpu_request: string;
        deployment: string;
        game_version: string;
        image_version: string;
        ip: string;
        is_override_game_version: boolean;
        last_update: string;
        mem_limit: number;
        mem_request: string;
        namespace: string;
        pod_name: string;
        port: number;
        provider: string;
        region: string;
        session_id: string;
    }>;
    session_id: z.ZodString;
    session_type: z.ZodString;
    spectators: z.ZodArray<z.ZodString, "many">;
    user_id: z.ZodString;
    username: z.ZodString;
}, "strip", z.ZodTypeAny, {
    game_version: string;
    namespace: string;
    session_id: string;
    all_players: string[];
    created_at: string;
    game_session_setting: {
        settings?: Record<string, any> | null | undefined;
        allow_join_in_progress: boolean;
        current_internal_player: number;
        current_player: number;
        map_name: string;
        max_internal_player: number;
        max_player: number;
        mode: string;
        num_bot: number;
        password: string;
    };
    joinable: boolean;
    players: string[];
    server: {
        alternate_ips?: string[] | null | undefined;
        ports?: Record<string, number> | null | undefined;
        status_history?: {
            status: string;
            time_stamp: string;
        }[] | null | undefined;
        params: string;
        status: string;
        allocation_id: string;
        cpu_limit: number;
        cpu_request: string;
        deployment: string;
        game_version: string;
        image_version: string;
        ip: string;
        is_override_game_version: boolean;
        last_update: string;
        mem_limit: number;
        mem_request: string;
        namespace: string;
        pod_name: string;
        port: number;
        provider: string;
        region: string;
        session_id: string;
    };
    session_type: string;
    spectators: string[];
    user_id: string;
    match: {
        joinable?: boolean | null | undefined;
        party_id?: string | null | undefined;
        matching_allies?: {
            matching_parties?: {
                match_attributes?: {
                    first_ticket_created_at: number;
                } | null | undefined;
                party_attributes?: Record<string, any> | null | undefined;
                party_members?: {
                    extra_attributes?: Record<string, any> | null | undefined;
                    user_id: string;
                }[] | null | undefined;
                party_id: string;
            }[] | null | undefined;
        }[] | null | undefined;
        sub_game_mode?: string[] | null | undefined;
        status: string;
        deployment: string;
        namespace: string;
        region: string;
        created_at: string;
        party_attributes: Record<string, any>;
        channel: string;
        client_version: string;
        event: string;
        game_mode: string;
        match_id: string;
        queued_at: number;
        server_name: string;
    };
    username: string;
}, {
    game_version: string;
    namespace: string;
    session_id: string;
    all_players: string[];
    created_at: string;
    game_session_setting: {
        settings?: Record<string, any> | null | undefined;
        allow_join_in_progress: boolean;
        current_internal_player: number;
        current_player: number;
        map_name: string;
        max_internal_player: number;
        max_player: number;
        mode: string;
        num_bot: number;
        password: string;
    };
    joinable: boolean;
    players: string[];
    server: {
        alternate_ips?: string[] | null | undefined;
        ports?: Record<string, number> | null | undefined;
        status_history?: {
            status: string;
            time_stamp: string;
        }[] | null | undefined;
        params: string;
        status: string;
        allocation_id: string;
        cpu_limit: number;
        cpu_request: string;
        deployment: string;
        game_version: string;
        image_version: string;
        ip: string;
        is_override_game_version: boolean;
        last_update: string;
        mem_limit: number;
        mem_request: string;
        namespace: string;
        pod_name: string;
        port: number;
        provider: string;
        region: string;
        session_id: string;
    };
    session_type: string;
    spectators: string[];
    user_id: string;
    match: {
        joinable?: boolean | null | undefined;
        party_id?: string | null | undefined;
        matching_allies?: {
            matching_parties?: {
                match_attributes?: {
                    first_ticket_created_at: number;
                } | null | undefined;
                party_attributes?: Record<string, any> | null | undefined;
                party_members?: {
                    extra_attributes?: Record<string, any> | null | undefined;
                    user_id: string;
                }[] | null | undefined;
                party_id: string;
            }[] | null | undefined;
        }[] | null | undefined;
        sub_game_mode?: string[] | null | undefined;
        status: string;
        deployment: string;
        namespace: string;
        region: string;
        created_at: string;
        party_attributes: Record<string, any>;
        channel: string;
        client_version: string;
        event: string;
        game_mode: string;
        match_id: string;
        queued_at: number;
        server_name: string;
    };
    username: string;
}>;
interface SessionResponse extends z.TypeOf<typeof SessionResponse> {
}

declare const UpdateSessionRequest: z.ZodObject<{
    game_max_player: z.ZodNumber;
}, "strip", z.ZodTypeAny, {
    game_max_player: number;
}, {
    game_max_player: number;
}>;
interface UpdateSessionRequest extends z.TypeOf<typeof UpdateSessionRequest> {
}

declare const UpdateSettingsRequest: z.ZodAny;
interface UpdateSettingsRequest extends z.TypeOf<typeof UpdateSettingsRequest> {
}

/**
 * AUTO GENERATED
 */

declare function SessionApi(sdk: AccelbyteSDK, args?: ApiArgs): {
    getGamesession: (queryParams: {
        session_type: string | null;
        game_mode?: string | null;
        game_version?: string | null;
        joinable?: string | null;
        limit?: number;
        match_exist?: string | null;
        match_id?: string | null;
        offset?: number;
        server_status?: string | null;
        user_id?: string | null;
    }) => Promise<SessionQueryResponse>;
    createGamesession: (data: CreateSessionRequest) => Promise<SessionResponse>;
    getGamesessionBulk: (queryParams: {
        user_ids: string | null;
    }) => Promise<SessionByUserIDsResponse>;
    getRecentplayer_ByUserId: (userID: string) => Promise<RecentPlayerQueryResponse>;
    deleteGamesession_BySessionId: (sessionID: string) => Promise<SessionResponse>;
    getGamesession_BySessionId: (sessionID: string) => Promise<SessionResponse>;
    updateGamesession_BySessionId: (sessionID: string, data: UpdateSessionRequest) => Promise<SessionResponse>;
    createJoin_BySessionId: (sessionID: string, data: JoinGameSessionRequest) => Promise<SessionResponse>;
    createPlayer_BySessionId: (sessionID: string, data: AddPlayerRequest) => Promise<AddPlayerResponse>;
    deleteLocald_BySessionId: (sessionID: string) => Promise<SessionResponse>;
    updateSetting_BySessionId: (sessionID: string, data: UpdateSettingsRequest) => Promise<SessionResponse>;
    deletePlayer_BySessionId_ByUserId: (sessionID: string, userID: string) => Promise<AddPlayerResponse>;
};

/**
 * AUTO GENERATED
 */

declare const SessionBrowser: {
    SessionAdminApi: typeof SessionAdminApi;
    SessionApi: typeof SessionApi;
};

declare const CustomGameResponse: z.ZodObject<{
    all_players: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
    created_at: z.ZodString;
    game_session_setting: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        allow_join_in_progress: z.ZodBoolean;
        current_internal_player: z.ZodNumber;
        current_player: z.ZodNumber;
        map_name: z.ZodString;
        max_internal_player: z.ZodNumber;
        max_player: z.ZodNumber;
        mode: z.ZodString;
        num_bot: z.ZodNumber;
        password: z.ZodString;
        settings: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>>;
    }, "strip", z.ZodTypeAny, {
        settings?: Record<string, any> | null | undefined;
        allow_join_in_progress: boolean;
        current_internal_player: number;
        current_player: number;
        map_name: string;
        max_internal_player: number;
        max_player: number;
        mode: string;
        num_bot: number;
        password: string;
    }, {
        settings?: Record<string, any> | null | undefined;
        allow_join_in_progress: boolean;
        current_internal_player: number;
        current_player: number;
        map_name: string;
        max_internal_player: number;
        max_player: number;
        mode: string;
        num_bot: number;
        password: string;
    }>>>;
    joinable: z.ZodBoolean;
    namespace: z.ZodString;
    players: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
    server: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        allocation_id: z.ZodString;
        alternate_ips: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
        cpu_limit: z.ZodNumber;
        cpu_request: z.ZodString;
        deployment: z.ZodString;
        game_version: z.ZodString;
        image_version: z.ZodString;
        ip: z.ZodString;
        is_override_game_version: z.ZodBoolean;
        last_update: z.ZodString;
        mem_limit: z.ZodNumber;
        mem_request: z.ZodString;
        namespace: z.ZodString;
        params: z.ZodString;
        pod_name: z.ZodString;
        port: z.ZodNumber;
        ports: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodNumber>>>;
        provider: z.ZodString;
        region: z.ZodString;
        session_id: z.ZodString;
        status: z.ZodString;
        status_history: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
            status: z.ZodString;
            time_stamp: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            status: string;
            time_stamp: string;
        }, {
            status: string;
            time_stamp: string;
        }>, "many">>>;
    }, "strip", z.ZodTypeAny, {
        alternate_ips?: string[] | null | undefined;
        ports?: Record<string, number> | null | undefined;
        status_history?: {
            status: string;
            time_stamp: string;
        }[] | null | undefined;
        params: string;
        status: string;
        allocation_id: string;
        cpu_limit: number;
        cpu_request: string;
        deployment: string;
        game_version: string;
        image_version: string;
        ip: string;
        is_override_game_version: boolean;
        last_update: string;
        mem_limit: number;
        mem_request: string;
        namespace: string;
        pod_name: string;
        port: number;
        provider: string;
        region: string;
        session_id: string;
    }, {
        alternate_ips?: string[] | null | undefined;
        ports?: Record<string, number> | null | undefined;
        status_history?: {
            status: string;
            time_stamp: string;
        }[] | null | undefined;
        params: string;
        status: string;
        allocation_id: string;
        cpu_limit: number;
        cpu_request: string;
        deployment: string;
        game_version: string;
        image_version: string;
        ip: string;
        is_override_game_version: boolean;
        last_update: string;
        mem_limit: number;
        mem_request: string;
        namespace: string;
        pod_name: string;
        port: number;
        provider: string;
        region: string;
        session_id: string;
    }>>>;
    session_id: z.ZodString;
    session_type: z.ZodString;
    spectators: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
}, "strip", z.ZodTypeAny, {
    all_players?: string[] | null | undefined;
    game_session_setting?: {
        settings?: Record<string, any> | null | undefined;
        allow_join_in_progress: boolean;
        current_internal_player: number;
        current_player: number;
        map_name: string;
        max_internal_player: number;
        max_player: number;
        mode: string;
        num_bot: number;
        password: string;
    } | null | undefined;
    players?: string[] | null | undefined;
    server?: {
        alternate_ips?: string[] | null | undefined;
        ports?: Record<string, number> | null | undefined;
        status_history?: {
            status: string;
            time_stamp: string;
        }[] | null | undefined;
        params: string;
        status: string;
        allocation_id: string;
        cpu_limit: number;
        cpu_request: string;
        deployment: string;
        game_version: string;
        image_version: string;
        ip: string;
        is_override_game_version: boolean;
        last_update: string;
        mem_limit: number;
        mem_request: string;
        namespace: string;
        pod_name: string;
        port: number;
        provider: string;
        region: string;
        session_id: string;
    } | null | undefined;
    spectators?: string[] | null | undefined;
    namespace: string;
    session_id: string;
    created_at: string;
    joinable: boolean;
    session_type: string;
}, {
    all_players?: string[] | null | undefined;
    game_session_setting?: {
        settings?: Record<string, any> | null | undefined;
        allow_join_in_progress: boolean;
        current_internal_player: number;
        current_player: number;
        map_name: string;
        max_internal_player: number;
        max_player: number;
        mode: string;
        num_bot: number;
        password: string;
    } | null | undefined;
    players?: string[] | null | undefined;
    server?: {
        alternate_ips?: string[] | null | undefined;
        ports?: Record<string, number> | null | undefined;
        status_history?: {
            status: string;
            time_stamp: string;
        }[] | null | undefined;
        params: string;
        status: string;
        allocation_id: string;
        cpu_limit: number;
        cpu_request: string;
        deployment: string;
        game_version: string;
        image_version: string;
        ip: string;
        is_override_game_version: boolean;
        last_update: string;
        mem_limit: number;
        mem_request: string;
        namespace: string;
        pod_name: string;
        port: number;
        provider: string;
        region: string;
        session_id: string;
    } | null | undefined;
    spectators?: string[] | null | undefined;
    namespace: string;
    session_id: string;
    created_at: string;
    joinable: boolean;
    session_type: string;
}>;
interface CustomGameResponse extends z.TypeOf<typeof CustomGameResponse> {
}

declare const GameSession: z.ZodObject<{
    all_players: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
    created_at: z.ZodString;
    game_session_setting: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        allow_join_in_progress: z.ZodBoolean;
        current_internal_player: z.ZodNumber;
        current_player: z.ZodNumber;
        map_name: z.ZodString;
        max_internal_player: z.ZodNumber;
        max_player: z.ZodNumber;
        mode: z.ZodString;
        num_bot: z.ZodNumber;
        password: z.ZodString;
        settings: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>>;
    }, "strip", z.ZodTypeAny, {
        settings?: Record<string, any> | null | undefined;
        allow_join_in_progress: boolean;
        current_internal_player: number;
        current_player: number;
        map_name: string;
        max_internal_player: number;
        max_player: number;
        mode: string;
        num_bot: number;
        password: string;
    }, {
        settings?: Record<string, any> | null | undefined;
        allow_join_in_progress: boolean;
        current_internal_player: number;
        current_player: number;
        map_name: string;
        max_internal_player: number;
        max_player: number;
        mode: string;
        num_bot: number;
        password: string;
    }>>>;
    game_version: z.ZodString;
    joinable: z.ZodBoolean;
    match: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        channel: z.ZodString;
        client_version: z.ZodString;
        created_at: z.ZodString;
        deployment: z.ZodString;
        event: z.ZodString;
        game_mode: z.ZodString;
        joinable: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        match_id: z.ZodString;
        matching_allies: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
            matching_parties: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                match_attributes: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    first_ticket_created_at: z.ZodNumber;
                }, "strip", z.ZodTypeAny, {
                    first_ticket_created_at: number;
                }, {
                    first_ticket_created_at: number;
                }>>>;
                party_attributes: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>>;
                party_id: z.ZodString;
                party_members: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                    extra_attributes: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>>;
                    user_id: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    extra_attributes?: Record<string, any> | null | undefined;
                    user_id: string;
                }, {
                    extra_attributes?: Record<string, any> | null | undefined;
                    user_id: string;
                }>, "many">>>;
            }, "strip", z.ZodTypeAny, {
                match_attributes?: {
                    first_ticket_created_at: number;
                } | null | undefined;
                party_attributes?: Record<string, any> | null | undefined;
                party_members?: {
                    extra_attributes?: Record<string, any> | null | undefined;
                    user_id: string;
                }[] | null | undefined;
                party_id: string;
            }, {
                match_attributes?: {
                    first_ticket_created_at: number;
                } | null | undefined;
                party_attributes?: Record<string, any> | null | undefined;
                party_members?: {
                    extra_attributes?: Record<string, any> | null | undefined;
                    user_id: string;
                }[] | null | undefined;
                party_id: string;
            }>, "many">>>;
        }, "strip", z.ZodTypeAny, {
            matching_parties?: {
                match_attributes?: {
                    first_ticket_created_at: number;
                } | null | undefined;
                party_attributes?: Record<string, any> | null | undefined;
                party_members?: {
                    extra_attributes?: Record<string, any> | null | undefined;
                    user_id: string;
                }[] | null | undefined;
                party_id: string;
            }[] | null | undefined;
        }, {
            matching_parties?: {
                match_attributes?: {
                    first_ticket_created_at: number;
                } | null | undefined;
                party_attributes?: Record<string, any> | null | undefined;
                party_members?: {
                    extra_attributes?: Record<string, any> | null | undefined;
                    user_id: string;
                }[] | null | undefined;
                party_id: string;
            }[] | null | undefined;
        }>, "many">>>;
        namespace: z.ZodString;
        party_attributes: z.ZodRecord<z.ZodString, z.ZodAny>;
        party_id: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        queued_at: z.ZodNumber;
        region: z.ZodString;
        server_name: z.ZodString;
        status: z.ZodString;
        sub_game_mode: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
    }, "strip", z.ZodTypeAny, {
        joinable?: boolean | null | undefined;
        party_id?: string | null | undefined;
        matching_allies?: {
            matching_parties?: {
                match_attributes?: {
                    first_ticket_created_at: number;
                } | null | undefined;
                party_attributes?: Record<string, any> | null | undefined;
                party_members?: {
                    extra_attributes?: Record<string, any> | null | undefined;
                    user_id: string;
                }[] | null | undefined;
                party_id: string;
            }[] | null | undefined;
        }[] | null | undefined;
        sub_game_mode?: string[] | null | undefined;
        status: string;
        deployment: string;
        namespace: string;
        region: string;
        created_at: string;
        party_attributes: Record<string, any>;
        channel: string;
        client_version: string;
        event: string;
        game_mode: string;
        match_id: string;
        queued_at: number;
        server_name: string;
    }, {
        joinable?: boolean | null | undefined;
        party_id?: string | null | undefined;
        matching_allies?: {
            matching_parties?: {
                match_attributes?: {
                    first_ticket_created_at: number;
                } | null | undefined;
                party_attributes?: Record<string, any> | null | undefined;
                party_members?: {
                    extra_attributes?: Record<string, any> | null | undefined;
                    user_id: string;
                }[] | null | undefined;
                party_id: string;
            }[] | null | undefined;
        }[] | null | undefined;
        sub_game_mode?: string[] | null | undefined;
        status: string;
        deployment: string;
        namespace: string;
        region: string;
        created_at: string;
        party_attributes: Record<string, any>;
        channel: string;
        client_version: string;
        event: string;
        game_mode: string;
        match_id: string;
        queued_at: number;
        server_name: string;
    }>>>;
    namespace: z.ZodString;
    players: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
    server: z.ZodObject<{
        allocation_id: z.ZodString;
        alternate_ips: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
        cpu_limit: z.ZodNumber;
        cpu_request: z.ZodString;
        deployment: z.ZodString;
        game_version: z.ZodString;
        image_version: z.ZodString;
        ip: z.ZodString;
        is_override_game_version: z.ZodBoolean;
        last_update: z.ZodString;
        mem_limit: z.ZodNumber;
        mem_request: z.ZodString;
        namespace: z.ZodString;
        params: z.ZodString;
        pod_name: z.ZodString;
        port: z.ZodNumber;
        ports: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodNumber>>>;
        provider: z.ZodString;
        region: z.ZodString;
        session_id: z.ZodString;
        status: z.ZodString;
        status_history: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
            status: z.ZodString;
            time_stamp: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            status: string;
            time_stamp: string;
        }, {
            status: string;
            time_stamp: string;
        }>, "many">>>;
    }, "strip", z.ZodTypeAny, {
        alternate_ips?: string[] | null | undefined;
        ports?: Record<string, number> | null | undefined;
        status_history?: {
            status: string;
            time_stamp: string;
        }[] | null | undefined;
        params: string;
        status: string;
        allocation_id: string;
        cpu_limit: number;
        cpu_request: string;
        deployment: string;
        game_version: string;
        image_version: string;
        ip: string;
        is_override_game_version: boolean;
        last_update: string;
        mem_limit: number;
        mem_request: string;
        namespace: string;
        pod_name: string;
        port: number;
        provider: string;
        region: string;
        session_id: string;
    }, {
        alternate_ips?: string[] | null | undefined;
        ports?: Record<string, number> | null | undefined;
        status_history?: {
            status: string;
            time_stamp: string;
        }[] | null | undefined;
        params: string;
        status: string;
        allocation_id: string;
        cpu_limit: number;
        cpu_request: string;
        deployment: string;
        game_version: string;
        image_version: string;
        ip: string;
        is_override_game_version: boolean;
        last_update: string;
        mem_limit: number;
        mem_request: string;
        namespace: string;
        pod_name: string;
        port: number;
        provider: string;
        region: string;
        session_id: string;
    }>;
    session_id: z.ZodString;
    session_type: z.ZodString;
    spectators: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
    user_id: z.ZodString;
    username: z.ZodString;
}, "strip", z.ZodTypeAny, {
    all_players?: string[] | null | undefined;
    game_session_setting?: {
        settings?: Record<string, any> | null | undefined;
        allow_join_in_progress: boolean;
        current_internal_player: number;
        current_player: number;
        map_name: string;
        max_internal_player: number;
        max_player: number;
        mode: string;
        num_bot: number;
        password: string;
    } | null | undefined;
    players?: string[] | null | undefined;
    spectators?: string[] | null | undefined;
    match?: {
        joinable?: boolean | null | undefined;
        party_id?: string | null | undefined;
        matching_allies?: {
            matching_parties?: {
                match_attributes?: {
                    first_ticket_created_at: number;
                } | null | undefined;
                party_attributes?: Record<string, any> | null | undefined;
                party_members?: {
                    extra_attributes?: Record<string, any> | null | undefined;
                    user_id: string;
                }[] | null | undefined;
                party_id: string;
            }[] | null | undefined;
        }[] | null | undefined;
        sub_game_mode?: string[] | null | undefined;
        status: string;
        deployment: string;
        namespace: string;
        region: string;
        created_at: string;
        party_attributes: Record<string, any>;
        channel: string;
        client_version: string;
        event: string;
        game_mode: string;
        match_id: string;
        queued_at: number;
        server_name: string;
    } | null | undefined;
    game_version: string;
    namespace: string;
    session_id: string;
    created_at: string;
    joinable: boolean;
    server: {
        alternate_ips?: string[] | null | undefined;
        ports?: Record<string, number> | null | undefined;
        status_history?: {
            status: string;
            time_stamp: string;
        }[] | null | undefined;
        params: string;
        status: string;
        allocation_id: string;
        cpu_limit: number;
        cpu_request: string;
        deployment: string;
        game_version: string;
        image_version: string;
        ip: string;
        is_override_game_version: boolean;
        last_update: string;
        mem_limit: number;
        mem_request: string;
        namespace: string;
        pod_name: string;
        port: number;
        provider: string;
        region: string;
        session_id: string;
    };
    session_type: string;
    user_id: string;
    username: string;
}, {
    all_players?: string[] | null | undefined;
    game_session_setting?: {
        settings?: Record<string, any> | null | undefined;
        allow_join_in_progress: boolean;
        current_internal_player: number;
        current_player: number;
        map_name: string;
        max_internal_player: number;
        max_player: number;
        mode: string;
        num_bot: number;
        password: string;
    } | null | undefined;
    players?: string[] | null | undefined;
    spectators?: string[] | null | undefined;
    match?: {
        joinable?: boolean | null | undefined;
        party_id?: string | null | undefined;
        matching_allies?: {
            matching_parties?: {
                match_attributes?: {
                    first_ticket_created_at: number;
                } | null | undefined;
                party_attributes?: Record<string, any> | null | undefined;
                party_members?: {
                    extra_attributes?: Record<string, any> | null | undefined;
                    user_id: string;
                }[] | null | undefined;
                party_id: string;
            }[] | null | undefined;
        }[] | null | undefined;
        sub_game_mode?: string[] | null | undefined;
        status: string;
        deployment: string;
        namespace: string;
        region: string;
        created_at: string;
        party_attributes: Record<string, any>;
        channel: string;
        client_version: string;
        event: string;
        game_mode: string;
        match_id: string;
        queued_at: number;
        server_name: string;
    } | null | undefined;
    game_version: string;
    namespace: string;
    session_id: string;
    created_at: string;
    joinable: boolean;
    server: {
        alternate_ips?: string[] | null | undefined;
        ports?: Record<string, number> | null | undefined;
        status_history?: {
            status: string;
            time_stamp: string;
        }[] | null | undefined;
        params: string;
        status: string;
        allocation_id: string;
        cpu_limit: number;
        cpu_request: string;
        deployment: string;
        game_version: string;
        image_version: string;
        ip: string;
        is_override_game_version: boolean;
        last_update: string;
        mem_limit: number;
        mem_request: string;
        namespace: string;
        pod_name: string;
        port: number;
        provider: string;
        region: string;
        session_id: string;
    };
    session_type: string;
    user_id: string;
    username: string;
}>;
interface GameSession extends z.TypeOf<typeof GameSession> {
}

declare const GameSessionSetting: z.ZodObject<{
    allow_join_in_progress: z.ZodBoolean;
    current_internal_player: z.ZodNumber;
    current_player: z.ZodNumber;
    map_name: z.ZodString;
    max_internal_player: z.ZodNumber;
    max_player: z.ZodNumber;
    mode: z.ZodString;
    num_bot: z.ZodNumber;
    password: z.ZodString;
    settings: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>>;
}, "strip", z.ZodTypeAny, {
    settings?: Record<string, any> | null | undefined;
    allow_join_in_progress: boolean;
    current_internal_player: number;
    current_player: number;
    map_name: string;
    max_internal_player: number;
    max_player: number;
    mode: string;
    num_bot: number;
    password: string;
}, {
    settings?: Record<string, any> | null | undefined;
    allow_join_in_progress: boolean;
    current_internal_player: number;
    current_player: number;
    map_name: string;
    max_internal_player: number;
    max_player: number;
    mode: string;
    num_bot: number;
    password: string;
}>;
interface GameSessionSetting extends z.TypeOf<typeof GameSessionSetting> {
}

declare const GetSessionHistoryDetailedResponseItem: z.ZodObject<{
    _id: z.ZodString;
    channel: z.ZodString;
    client_version: z.ZodString;
    created_at: z.ZodString;
    event_description: z.ZodString;
    event_name: z.ZodString;
    game_mode: z.ZodString;
    joinable: z.ZodBoolean;
    joining: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
        Date: z.ZodString;
        State: z.ZodString;
        UserID: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        Date: string;
        UserID: string;
        State: string;
    }, {
        Date: string;
        UserID: string;
        State: string;
    }>, "many">>>;
    match_id: z.ZodString;
    matching_allies: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
        matching_parties: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
            match_attributes: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                first_ticket_created_at: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                first_ticket_created_at: number;
            }, {
                first_ticket_created_at: number;
            }>>>;
            party_attributes: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>>;
            party_id: z.ZodString;
            party_members: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                extra_attributes: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>>;
                user_id: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                extra_attributes?: Record<string, any> | null | undefined;
                user_id: string;
            }, {
                extra_attributes?: Record<string, any> | null | undefined;
                user_id: string;
            }>, "many">>>;
        }, "strip", z.ZodTypeAny, {
            match_attributes?: {
                first_ticket_created_at: number;
            } | null | undefined;
            party_attributes?: Record<string, any> | null | undefined;
            party_members?: {
                extra_attributes?: Record<string, any> | null | undefined;
                user_id: string;
            }[] | null | undefined;
            party_id: string;
        }, {
            match_attributes?: {
                first_ticket_created_at: number;
            } | null | undefined;
            party_attributes?: Record<string, any> | null | undefined;
            party_members?: {
                extra_attributes?: Record<string, any> | null | undefined;
                user_id: string;
            }[] | null | undefined;
            party_id: string;
        }>, "many">>>;
    }, "strip", z.ZodTypeAny, {
        matching_parties?: {
            match_attributes?: {
                first_ticket_created_at: number;
            } | null | undefined;
            party_attributes?: Record<string, any> | null | undefined;
            party_members?: {
                extra_attributes?: Record<string, any> | null | undefined;
                user_id: string;
            }[] | null | undefined;
            party_id: string;
        }[] | null | undefined;
    }, {
        matching_parties?: {
            match_attributes?: {
                first_ticket_created_at: number;
            } | null | undefined;
            party_attributes?: Record<string, any> | null | undefined;
            party_members?: {
                extra_attributes?: Record<string, any> | null | undefined;
                user_id: string;
            }[] | null | undefined;
            party_id: string;
        }[] | null | undefined;
    }>, "many">>>;
    namespace: z.ZodString;
    party_id: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    players: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
        Action: z.ZodString;
        Date: z.ZodString;
        UserID: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        Action: string;
        Date: string;
        UserID: string;
    }, {
        Action: string;
        Date: string;
        UserID: string;
    }>, "many">>>;
    region: z.ZodString;
    removed_reason: z.ZodString;
    server_name: z.ZodString;
    session_type: z.ZodString;
    status: z.ZodString;
    user_id: z.ZodString;
}, "strip", z.ZodTypeAny, {
    players?: {
        Action: string;
        Date: string;
        UserID: string;
    }[] | null | undefined;
    party_id?: string | null | undefined;
    matching_allies?: {
        matching_parties?: {
            match_attributes?: {
                first_ticket_created_at: number;
            } | null | undefined;
            party_attributes?: Record<string, any> | null | undefined;
            party_members?: {
                extra_attributes?: Record<string, any> | null | undefined;
                user_id: string;
            }[] | null | undefined;
            party_id: string;
        }[] | null | undefined;
    }[] | null | undefined;
    joining?: {
        Date: string;
        UserID: string;
        State: string;
    }[] | null | undefined;
    status: string;
    namespace: string;
    region: string;
    created_at: string;
    joinable: boolean;
    session_type: string;
    user_id: string;
    channel: string;
    client_version: string;
    game_mode: string;
    match_id: string;
    server_name: string;
    _id: string;
    event_description: string;
    event_name: string;
    removed_reason: string;
}, {
    players?: {
        Action: string;
        Date: string;
        UserID: string;
    }[] | null | undefined;
    party_id?: string | null | undefined;
    matching_allies?: {
        matching_parties?: {
            match_attributes?: {
                first_ticket_created_at: number;
            } | null | undefined;
            party_attributes?: Record<string, any> | null | undefined;
            party_members?: {
                extra_attributes?: Record<string, any> | null | undefined;
                user_id: string;
            }[] | null | undefined;
            party_id: string;
        }[] | null | undefined;
    }[] | null | undefined;
    joining?: {
        Date: string;
        UserID: string;
        State: string;
    }[] | null | undefined;
    status: string;
    namespace: string;
    region: string;
    created_at: string;
    joinable: boolean;
    session_type: string;
    user_id: string;
    channel: string;
    client_version: string;
    game_mode: string;
    match_id: string;
    server_name: string;
    _id: string;
    event_description: string;
    event_name: string;
    removed_reason: string;
}>;
interface GetSessionHistoryDetailedResponseItem extends z.TypeOf<typeof GetSessionHistoryDetailedResponseItem> {
}

declare const GetSessionHistorySearchResponseItemV2: z.ZodObject<{
    _id: z.ZodString;
    created_at: z.ZodString;
    game_mode: z.ZodString;
    joinable: z.ZodBoolean;
    joining: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
        Date: z.ZodString;
        State: z.ZodString;
        UserID: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        Date: string;
        UserID: string;
        State: string;
    }, {
        Date: string;
        UserID: string;
        State: string;
    }>, "many">>>;
    match_id: z.ZodString;
    namespace: z.ZodString;
    players: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
        Action: z.ZodString;
        Date: z.ZodString;
        UserID: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        Action: string;
        Date: string;
        UserID: string;
    }, {
        Action: string;
        Date: string;
        UserID: string;
    }>, "many">>>;
    removed_reason: z.ZodString;
    session_type: z.ZodString;
    status: z.ZodString;
    sub_game_mode: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
    user_id: z.ZodString;
}, "strip", z.ZodTypeAny, {
    players?: {
        Action: string;
        Date: string;
        UserID: string;
    }[] | null | undefined;
    sub_game_mode?: string[] | null | undefined;
    joining?: {
        Date: string;
        UserID: string;
        State: string;
    }[] | null | undefined;
    status: string;
    namespace: string;
    created_at: string;
    joinable: boolean;
    session_type: string;
    user_id: string;
    game_mode: string;
    match_id: string;
    _id: string;
    removed_reason: string;
}, {
    players?: {
        Action: string;
        Date: string;
        UserID: string;
    }[] | null | undefined;
    sub_game_mode?: string[] | null | undefined;
    joining?: {
        Date: string;
        UserID: string;
        State: string;
    }[] | null | undefined;
    status: string;
    namespace: string;
    created_at: string;
    joinable: boolean;
    session_type: string;
    user_id: string;
    game_mode: string;
    match_id: string;
    _id: string;
    removed_reason: string;
}>;
interface GetSessionHistorySearchResponseItemV2 extends z.TypeOf<typeof GetSessionHistorySearchResponseItemV2> {
}

declare const MatchAttributes: z.ZodObject<{
    first_ticket_created_at: z.ZodNumber;
}, "strip", z.ZodTypeAny, {
    first_ticket_created_at: number;
}, {
    first_ticket_created_at: number;
}>;
interface MatchAttributes extends z.TypeOf<typeof MatchAttributes> {
}

declare const MatchMaking: z.ZodObject<{
    channel: z.ZodString;
    client_version: z.ZodString;
    created_at: z.ZodString;
    deployment: z.ZodString;
    event: z.ZodString;
    game_mode: z.ZodString;
    joinable: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
    match_id: z.ZodString;
    matching_allies: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
        matching_parties: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
            match_attributes: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                first_ticket_created_at: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                first_ticket_created_at: number;
            }, {
                first_ticket_created_at: number;
            }>>>;
            party_attributes: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>>;
            party_id: z.ZodString;
            party_members: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                extra_attributes: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>>;
                user_id: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                extra_attributes?: Record<string, any> | null | undefined;
                user_id: string;
            }, {
                extra_attributes?: Record<string, any> | null | undefined;
                user_id: string;
            }>, "many">>>;
        }, "strip", z.ZodTypeAny, {
            match_attributes?: {
                first_ticket_created_at: number;
            } | null | undefined;
            party_attributes?: Record<string, any> | null | undefined;
            party_members?: {
                extra_attributes?: Record<string, any> | null | undefined;
                user_id: string;
            }[] | null | undefined;
            party_id: string;
        }, {
            match_attributes?: {
                first_ticket_created_at: number;
            } | null | undefined;
            party_attributes?: Record<string, any> | null | undefined;
            party_members?: {
                extra_attributes?: Record<string, any> | null | undefined;
                user_id: string;
            }[] | null | undefined;
            party_id: string;
        }>, "many">>>;
    }, "strip", z.ZodTypeAny, {
        matching_parties?: {
            match_attributes?: {
                first_ticket_created_at: number;
            } | null | undefined;
            party_attributes?: Record<string, any> | null | undefined;
            party_members?: {
                extra_attributes?: Record<string, any> | null | undefined;
                user_id: string;
            }[] | null | undefined;
            party_id: string;
        }[] | null | undefined;
    }, {
        matching_parties?: {
            match_attributes?: {
                first_ticket_created_at: number;
            } | null | undefined;
            party_attributes?: Record<string, any> | null | undefined;
            party_members?: {
                extra_attributes?: Record<string, any> | null | undefined;
                user_id: string;
            }[] | null | undefined;
            party_id: string;
        }[] | null | undefined;
    }>, "many">>>;
    namespace: z.ZodString;
    party_attributes: z.ZodRecord<z.ZodString, z.ZodAny>;
    party_id: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    queued_at: z.ZodNumber;
    region: z.ZodString;
    server_name: z.ZodString;
    status: z.ZodString;
    sub_game_mode: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
}, "strip", z.ZodTypeAny, {
    joinable?: boolean | null | undefined;
    party_id?: string | null | undefined;
    matching_allies?: {
        matching_parties?: {
            match_attributes?: {
                first_ticket_created_at: number;
            } | null | undefined;
            party_attributes?: Record<string, any> | null | undefined;
            party_members?: {
                extra_attributes?: Record<string, any> | null | undefined;
                user_id: string;
            }[] | null | undefined;
            party_id: string;
        }[] | null | undefined;
    }[] | null | undefined;
    sub_game_mode?: string[] | null | undefined;
    status: string;
    deployment: string;
    namespace: string;
    region: string;
    created_at: string;
    party_attributes: Record<string, any>;
    channel: string;
    client_version: string;
    event: string;
    game_mode: string;
    match_id: string;
    queued_at: number;
    server_name: string;
}, {
    joinable?: boolean | null | undefined;
    party_id?: string | null | undefined;
    matching_allies?: {
        matching_parties?: {
            match_attributes?: {
                first_ticket_created_at: number;
            } | null | undefined;
            party_attributes?: Record<string, any> | null | undefined;
            party_members?: {
                extra_attributes?: Record<string, any> | null | undefined;
                user_id: string;
            }[] | null | undefined;
            party_id: string;
        }[] | null | undefined;
    }[] | null | undefined;
    sub_game_mode?: string[] | null | undefined;
    status: string;
    deployment: string;
    namespace: string;
    region: string;
    created_at: string;
    party_attributes: Record<string, any>;
    channel: string;
    client_version: string;
    event: string;
    game_mode: string;
    match_id: string;
    queued_at: number;
    server_name: string;
}>;
interface MatchMaking extends z.TypeOf<typeof MatchMaking> {
}

declare const MatchingAlly: z.ZodObject<{
    matching_parties: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
        match_attributes: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            first_ticket_created_at: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            first_ticket_created_at: number;
        }, {
            first_ticket_created_at: number;
        }>>>;
        party_attributes: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>>;
        party_id: z.ZodString;
        party_members: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
            extra_attributes: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>>;
            user_id: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            extra_attributes?: Record<string, any> | null | undefined;
            user_id: string;
        }, {
            extra_attributes?: Record<string, any> | null | undefined;
            user_id: string;
        }>, "many">>>;
    }, "strip", z.ZodTypeAny, {
        match_attributes?: {
            first_ticket_created_at: number;
        } | null | undefined;
        party_attributes?: Record<string, any> | null | undefined;
        party_members?: {
            extra_attributes?: Record<string, any> | null | undefined;
            user_id: string;
        }[] | null | undefined;
        party_id: string;
    }, {
        match_attributes?: {
            first_ticket_created_at: number;
        } | null | undefined;
        party_attributes?: Record<string, any> | null | undefined;
        party_members?: {
            extra_attributes?: Record<string, any> | null | undefined;
            user_id: string;
        }[] | null | undefined;
        party_id: string;
    }>, "many">>>;
}, "strip", z.ZodTypeAny, {
    matching_parties?: {
        match_attributes?: {
            first_ticket_created_at: number;
        } | null | undefined;
        party_attributes?: Record<string, any> | null | undefined;
        party_members?: {
            extra_attributes?: Record<string, any> | null | undefined;
            user_id: string;
        }[] | null | undefined;
        party_id: string;
    }[] | null | undefined;
}, {
    matching_parties?: {
        match_attributes?: {
            first_ticket_created_at: number;
        } | null | undefined;
        party_attributes?: Record<string, any> | null | undefined;
        party_members?: {
            extra_attributes?: Record<string, any> | null | undefined;
            user_id: string;
        }[] | null | undefined;
        party_id: string;
    }[] | null | undefined;
}>;
interface MatchingAlly extends z.TypeOf<typeof MatchingAlly> {
}

declare const MatchingParty: z.ZodObject<{
    match_attributes: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        first_ticket_created_at: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        first_ticket_created_at: number;
    }, {
        first_ticket_created_at: number;
    }>>>;
    party_attributes: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>>;
    party_id: z.ZodString;
    party_members: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
        extra_attributes: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>>;
        user_id: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        extra_attributes?: Record<string, any> | null | undefined;
        user_id: string;
    }, {
        extra_attributes?: Record<string, any> | null | undefined;
        user_id: string;
    }>, "many">>>;
}, "strip", z.ZodTypeAny, {
    match_attributes?: {
        first_ticket_created_at: number;
    } | null | undefined;
    party_attributes?: Record<string, any> | null | undefined;
    party_members?: {
        extra_attributes?: Record<string, any> | null | undefined;
        user_id: string;
    }[] | null | undefined;
    party_id: string;
}, {
    match_attributes?: {
        first_ticket_created_at: number;
    } | null | undefined;
    party_attributes?: Record<string, any> | null | undefined;
    party_members?: {
        extra_attributes?: Record<string, any> | null | undefined;
        user_id: string;
    }[] | null | undefined;
    party_id: string;
}>;
interface MatchingParty extends z.TypeOf<typeof MatchingParty> {
}

declare const Pagination: z.ZodObject<{
    first: z.ZodString;
    last: z.ZodString;
    next: z.ZodString;
    previous: z.ZodString;
}, "strip", z.ZodTypeAny, {
    next: string;
    previous: string;
    first: string;
    last: string;
}, {
    next: string;
    previous: string;
    first: string;
    last: string;
}>;
interface Pagination extends z.TypeOf<typeof Pagination> {
}

declare const PagingCursor: z.ZodObject<{
    next: z.ZodString;
    previous: z.ZodString;
}, "strip", z.ZodTypeAny, {
    next: string;
    previous: string;
}, {
    next: string;
    previous: string;
}>;
interface PagingCursor extends z.TypeOf<typeof PagingCursor> {
}

declare const PartyMember: z.ZodObject<{
    extra_attributes: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>>;
    user_id: z.ZodString;
}, "strip", z.ZodTypeAny, {
    extra_attributes?: Record<string, any> | null | undefined;
    user_id: string;
}, {
    extra_attributes?: Record<string, any> | null | undefined;
    user_id: string;
}>;
interface PartyMember extends z.TypeOf<typeof PartyMember> {
}

declare const RecentPlayerHistory: z.ZodObject<{
    created_at: z.ZodString;
    namespace: z.ZodString;
    other_display_name: z.ZodString;
    other_id: z.ZodString;
    updated_at: z.ZodString;
    user_id: z.ZodString;
}, "strip", z.ZodTypeAny, {
    namespace: string;
    created_at: string;
    user_id: string;
    other_display_name: string;
    other_id: string;
    updated_at: string;
}, {
    namespace: string;
    created_at: string;
    user_id: string;
    other_display_name: string;
    other_id: string;
    updated_at: string;
}>;
interface RecentPlayerHistory extends z.TypeOf<typeof RecentPlayerHistory> {
}

declare const Server: z.ZodObject<{
    allocation_id: z.ZodString;
    alternate_ips: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
    cpu_limit: z.ZodNumber;
    cpu_request: z.ZodString;
    deployment: z.ZodString;
    game_version: z.ZodString;
    image_version: z.ZodString;
    ip: z.ZodString;
    is_override_game_version: z.ZodBoolean;
    last_update: z.ZodString;
    mem_limit: z.ZodNumber;
    mem_request: z.ZodString;
    namespace: z.ZodString;
    params: z.ZodString;
    pod_name: z.ZodString;
    port: z.ZodNumber;
    ports: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodNumber>>>;
    provider: z.ZodString;
    region: z.ZodString;
    session_id: z.ZodString;
    status: z.ZodString;
    status_history: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
        status: z.ZodString;
        time_stamp: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        status: string;
        time_stamp: string;
    }, {
        status: string;
        time_stamp: string;
    }>, "many">>>;
}, "strip", z.ZodTypeAny, {
    alternate_ips?: string[] | null | undefined;
    ports?: Record<string, number> | null | undefined;
    status_history?: {
        status: string;
        time_stamp: string;
    }[] | null | undefined;
    params: string;
    status: string;
    allocation_id: string;
    cpu_limit: number;
    cpu_request: string;
    deployment: string;
    game_version: string;
    image_version: string;
    ip: string;
    is_override_game_version: boolean;
    last_update: string;
    mem_limit: number;
    mem_request: string;
    namespace: string;
    pod_name: string;
    port: number;
    provider: string;
    region: string;
    session_id: string;
}, {
    alternate_ips?: string[] | null | undefined;
    ports?: Record<string, number> | null | undefined;
    status_history?: {
        status: string;
        time_stamp: string;
    }[] | null | undefined;
    params: string;
    status: string;
    allocation_id: string;
    cpu_limit: number;
    cpu_request: string;
    deployment: string;
    game_version: string;
    image_version: string;
    ip: string;
    is_override_game_version: boolean;
    last_update: string;
    mem_limit: number;
    mem_request: string;
    namespace: string;
    pod_name: string;
    port: number;
    provider: string;
    region: string;
    session_id: string;
}>;
interface Server extends z.TypeOf<typeof Server> {
}

declare const SessionPlayerHistory: z.ZodObject<{
    Action: z.ZodString;
    Date: z.ZodString;
    UserID: z.ZodString;
}, "strip", z.ZodTypeAny, {
    Action: string;
    Date: string;
    UserID: string;
}, {
    Action: string;
    Date: string;
    UserID: string;
}>;
interface SessionPlayerHistory extends z.TypeOf<typeof SessionPlayerHistory> {
}

declare const SessionPlayerJoining: z.ZodObject<{
    Date: z.ZodString;
    State: z.ZodString;
    UserID: z.ZodString;
}, "strip", z.ZodTypeAny, {
    Date: string;
    UserID: string;
    State: string;
}, {
    Date: string;
    UserID: string;
    State: string;
}>;
interface SessionPlayerJoining extends z.TypeOf<typeof SessionPlayerJoining> {
}

declare const StatusHistory: z.ZodObject<{
    status: z.ZodString;
    time_stamp: z.ZodString;
}, "strip", z.ZodTypeAny, {
    status: string;
    time_stamp: string;
}, {
    status: string;
    time_stamp: string;
}>;
interface StatusHistory extends z.TypeOf<typeof StatusHistory> {
}

declare const Error: z.ZodObject<{
    errorCode: z.ZodNumber;
    errorMessage: z.ZodString;
}, "strip", z.ZodTypeAny, {
    errorCode: number;
    errorMessage: string;
}, {
    errorCode: number;
    errorMessage: string;
}>;
interface Error extends z.TypeOf<typeof Error> {
}

declare const ErrorResponseV2: z.ZodObject<{
    attributes: z.ZodRecord<z.ZodString, z.ZodString>;
    errorCode: z.ZodNumber;
    errorMessage: z.ZodString;
    message: z.ZodString;
    name: z.ZodString;
}, "strip", z.ZodTypeAny, {
    message: string;
    errorCode: number;
    errorMessage: string;
    attributes: Record<string, string>;
    name: string;
}, {
    message: string;
    errorCode: number;
    errorMessage: string;
    attributes: Record<string, string>;
    name: string;
}>;
interface ErrorResponseV2 extends z.TypeOf<typeof ErrorResponseV2> {
}

declare const ErrorV1: z.ZodObject<{
    errorCode: z.ZodNumber;
    errorMessage: z.ZodString;
}, "strip", z.ZodTypeAny, {
    errorCode: number;
    errorMessage: string;
}, {
    errorCode: number;
    errorMessage: string;
}>;
interface ErrorV1 extends z.TypeOf<typeof ErrorV1> {
}

/**
 * AUTO GENERATED
 */

declare class Session$ {
    private axiosInstance;
    private namespace;
    private isZodEnabled;
    constructor(axiosInstance: AxiosInstance, namespace: string, isZodEnabled?: boolean);
    /**
     * Query available game session
     */
    getGamesession(queryParams: {
        session_type: string | null;
        game_mode?: string | null;
        game_version?: string | null;
        joinable?: string | null;
        limit?: number;
        match_exist?: string | null;
        match_id?: string | null;
        offset?: number;
        server_status?: string | null;
        user_id?: string | null;
    }): Promise<IResponse<SessionQueryResponse>>;
    /**
     * This end point intended to be called directly by P2P game client host or by DSMC
     */
    createGamesession(data: CreateSessionRequest): Promise<IResponse<SessionResponse>>;
    /**
     * Query game sessions by comma separated user ids
     */
    getGamesessionBulk(queryParams: {
        user_ids: string | null;
    }): Promise<IResponse<SessionByUserIDsResponse>>;
    /**
     * Query recent player by user ID
     */
    getRecentplayer_ByUserId(userID: string): Promise<IResponse<RecentPlayerQueryResponse>>;
    /**
     * Delete the session (p2p) by session ID
     */
    deleteGamesession_BySessionId(sessionID: string): Promise<IResponse<SessionResponse>>;
    /**
     * Get the session by session ID
     */
    getGamesession_BySessionId(sessionID: string): Promise<IResponse<SessionResponse>>;
    /**
     * Update game session, used to update the current player
     */
    updateGamesession_BySessionId(sessionID: string, data: UpdateSessionRequest): Promise<IResponse<SessionResponse>>;
    /**
     * Join the specified session by session ID. Possible the game required a password to join
     */
    createJoin_BySessionId(sessionID: string, data: JoinGameSessionRequest): Promise<IResponse<SessionResponse>>;
    /**
     * Add player to game session
     */
    createPlayer_BySessionId(sessionID: string, data: AddPlayerRequest): Promise<IResponse<AddPlayerResponse>>;
    /**
     * Only use for local DS entry, will error when calling non local DS entry
     */
    deleteLocald_BySessionId(sessionID: string): Promise<IResponse<SessionResponse>>;
    /**
     * Update game session, used to update OtherSettings
     */
    updateSetting_BySessionId(sessionID: string, data: UpdateSettingsRequest): Promise<IResponse<SessionResponse>>;
    /**
     * Remove player from game session
     */
    deletePlayer_BySessionId_ByUserId(sessionID: string, userID: string): Promise<IResponse<AddPlayerResponse>>;
}

export { ActiveCustomGameResponse, ActiveMatchmakingGameResponse, AddPlayerRequest, AddPlayerResponse, AdminSessionResponse, CountActiveSessionResponse, CreateSessionRequest, CustomGameResponse, Error, ErrorResponseV2, ErrorV1, GameSession, GameSessionSetting, GetSessionHistoryDetailedResponseItem, GetSessionHistoryDetailedResponseItemArray, GetSessionHistorySearchResponseItemV2, GetSessionHistorySearchResponseV2, JoinGameSessionRequest, MatchAttributes, MatchMaking, MatchingAlly, MatchingParty, Pagination, PagingCursor, PartyMember, RecentPlayerHistory, RecentPlayerQueryResponse, Server, Session$, SessionAdmin$, SessionAdminApi, SessionApi, SessionBrowser, SessionByUserIDsResponse, SessionPlayerHistory, SessionPlayerJoining, SessionQueryResponse, SessionResponse, StatusHistory, UpdateSessionRequest, UpdateSettingsRequest };
